Modify

Opened 5 months ago

Last modified 5 weeks ago

#21227 new enhancement

[patch] Too many autocomplete suggestions for roles in relation editor

Reported by: josm@… Owned by: team
Priority: normal Milestone: 22.01
Component: Core Version:
Keywords: template_report role autocompletion filter relation editor Cc:

Description

What steps will reproduce the problem?

  1. Download a single node without any tags
  2. Select said node
  3. Click Presets->Relations->Destination Sign
  4. Click "New Relation"
  5. Click in the empty role text field
  6. Press s
  7. Press i

What is the expected result?

I would expect autocomplete to suggest "sign" in both step 6 and 7

What happens instead?

In step 6, autocomplete suggests "section"
In step 7, autocomplete suggests "side_stream"

Please provide any additional information below. Attach a screenshot if possible.

https://josm.openstreetmap.de/browser/josm/trunk/resources/data/defaultpresets.xml#L8805
https://josm.openstreetmap.de/browser/josm/trunk/resources/data/defaultpresets.xml#L9108
These seem to be the culprits

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-08-02 19:44:04 +0200 (Mon, 02 Aug 2021)
Revision:18118
Build-Date:2021-08-02 18:26:20
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (18118 en) Linux Ubuntu 20.04.2 LTS
Memory Usage: 561 MB / 5952 MB (436 MB allocated, but free)
Java version: 11.0.11+9-Ubuntu-0ubuntu2.20.04, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 1920×1080 (scaling 1.00×1.00) :0.1 1920×1080 (scaling 1.00×1.00)
Maximum Screen Size: 1920×1080
Best cursor sizes: 16×16→16×16, 32×32→32×32
Environment variable LANG: en_US.UTF-8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_US
Numbers with default locale: 1234567890 -> 1234567890
Desktop environment: i3
Java package: openjdk-11-jre:amd64-11.0.11+9-0ubuntu2~20.04
WebStart package: icedtea-netx:amd64-1.8-0ubuntu8
Java ATK Wrapper package: libatk-wrapper-java:all-0.37.1-1
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:all-20200323-1build1~ubuntu20.04.1
VM arguments: [--add-reads=java.base=ALL-UNNAMED,java.desktop, --add-reads=java.desktop=ALL-UNNAMED,java.naming, --add-reads=java.naming=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/sun.awt=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/javax.jnlp=ALL-UNNAMED,java.desktop, --add-exports=java.base/com.sun.net.ssl.internal.ssl=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.net.www.protocol.jar=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.action=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.provider=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.util=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.validator=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.x509=ALL-UNNAMED,java.desktop, --add-exports=java.base/jdk.internal.util.jar=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.net.www.protocol.http=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/sun.awt.X11=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/sun.applet=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/sun.applet=ALL-UNNAMED,jdk.jsobject, --add-exports=java.naming/com.sun.jndi.toolkit.url=ALL-UNNAMED,java.desktop, -Dicedtea-web.bin.name=javaws, -Dicedtea-web.bin.location=/usr/lib/icedtea-web/bin/javaws]
Dataset consistency test: No problems found

Plugins:
+ measurement (35640)

Tagging presets:
+ https://www.openrailwaymap.org/josm-presets/de-signals-eso.zip
+ ${HOME}/knooppuntnet-presets.xml

Last errors/warnings:
- 00031.586 W: Unsaved changes - <html>The relation has been changed.<br><br>Do you want to save your changes?</html>
- 00079.659 W: Unsaved changes - <html>The relation has been changed.<br><br>Do you want to save your changes?</html>
- 00115.710 W: Unsaved changes - <html>The relation has been changed.<br><br>Do you want to save your changes?</html>
- 00131.760 W: Unsaved changes - <html>The relation has been changed.<br><br>Do you want to save your changes?</html>

Attachments (9)

Screenshot_20210818_224313.png (46.7 KB) - added by osm@… 5 months ago.
Screenshot
21227.patch (26.2 KB) - added by marcello@… 3 months ago.
[PATCH] in relation editor filter autocompletion roles according to relation type
21227-2.patch (47.9 KB) - added by marcello@… 3 months ago.
[PATCH] in relation editor filter autocompletion roles according to relation and member type
21227-3.patch (58.6 KB) - added by marcello@… 3 months ago.
[PATCH] in relation editor filter autocompletion roles according to relation and member type
Screenshot from 2021-10-14 12-30-09.png (81.8 KB) - added by marcello@… 3 months ago.
Screenshot
Screenshot from 2021-10-14 12-31-03.png (75.8 KB) - added by marcello@… 3 months ago.
Screenshot
DE-BW-RAB_Route_680-A_10.T0.0-680-A-21a-11.1.H.gpx (85.9 KB) - added by skyper 3 months ago.
gpx file causing exception
josm-custom.jar (16.0 MB) - added by marcello@… 3 months ago.
Custom build for testing
21227-4.patch (125.9 KB) - added by marcello@… 3 months ago.
[PATCH] better autocompletion suggestions for all tables in relation editor

Change History (43)

Changed 5 months ago by osm@…

Screenshot

comment:1 Changed 5 months ago by skyper

Keywords: role autocompletion relation editor added
Type: defectenhancement

There is no filter for auto-completion on roles, so far. It rather depends on the loaded data. I doubt that there exists any filter on auto-completion at all, atm.

The preset is only used for validator, so far, and might be too strict but the preset roles could be the first choice.
Some more member_expressions would not harm either. I see, what I can do on this.

Altogether, this is probably an enhancement and not considered a bug. Additionally, it goes beyond the relation editor as hopefully auto-completion will be added to the property panel action in nearer future.

comment:2 Changed 5 months ago by gaben

#17957 similar.

comment:3 Changed 5 months ago by skyper

Keywords: filter added

Changed 3 months ago by marcello@…

Attachment: 21227.patch added

[PATCH] in relation editor filter autocompletion roles according to relation type

comment:4 Changed 3 months ago by gaben

Summary: Too many autocomplete suggestions for roles in relation editor[patch] Too many autocomplete suggestions for roles in relation editor

comment:5 Changed 3 months ago by GerdP

I see compile errors in AbstractRelationEditorActionTest.

Changed 3 months ago by marcello@…

Attachment: 21227-2.patch added

[PATCH] in relation editor filter autocompletion roles according to relation and member type

comment:6 Changed 3 months ago by Don-vip

Milestone: 21.10

comment:7 Changed 3 months ago by Don-vip

Mmm I think many users will get upset by the change of behaviour if applied as it.
For example I loaded https://www.openstreetmap.org/relation/70423 and the combobox only offers tributary role while the relation has plenty of members with "main_stream" / "side_stream" roles. We can of course add these roles in the presets, but I'm afraid of the quantity of things to add and the number of future bug reports we'll receive if we don't change this.

comment:8 Changed 3 months ago by marcello@…

That is the correct behaviour. According to https://wiki.openstreetmap.org/wiki/Relation:waterway relation members can only have a role of tributary (de facto standard). The patch distinguishes primitive member types, so the role main_stream which is allowed only on way members is not suggested for relation members.

The old behavior is really a bug because it does not distinguish primitive types nor relation types.

In the long term we may also want to introduce a new category "de facto standard", so we could add the role tributary to the preset relations/waterway.

Solutions:

  • tell the user to type the missing role once, it will then be offered from the dataset
  • fix the presets (there are only ~30 relation presets many of them leisure routes)
  • add a "filter" / "don't filter" checkbox that switches new/old behaviour.

comment:9 Changed 3 months ago by GerdP

The "Apply Role" field in the relation editor behaves strange:
If the content of the field is empty, a first click on the new button next to it shows only empty entries. A 2nd click closes the list. A 3rd click shows the expected entries. From then on, also the 1st click works untill I select a different member.
I tried this with a type=multipolygon and with a type=route relation.

comment:10 in reply to:  9 Changed 3 months ago by marcello@…

Replying to GerdP:

The "Apply Role" field in the relation editor behaves strange:
If the content of the field is empty, a first click on the new button next to it shows only empty entries. A 2nd click closes the list. A 3rd click shows the expected entries. From then on, also the 1st click works untill I select a different member.
I tried this with a type=multipolygon and with a type=route relation.

I cannot reproduce it. Can you please describe steps to reproduce and post your vital statistics?

comment:11 Changed 3 months ago by marcello@…

Maybe a focus thing. What happens if you focus the combobox before clicking on the button?

comment:12 Changed 3 months ago by GerdP

Yes, probably a focus thing. Cannot always reproduce it. It seems to happen more likely when I switch focus to another application and back to JOSM before clicking on the button. I can also reproduce it when I click into the edit field and press DOWN button. Hope this helps.

comment:13 in reply to:  8 Changed 3 months ago by skyper

Replying to marcello@…:


In the long term we may also want to introduce a new category "de facto standard", so we could add the role tributary to the preset relations/waterway.

How about a Jenkins test for popular roles with over 10,000 appearances in data but missing in the defaultpresets, similar to the tag test (#21396)?

Solutions:

  • tell the user to type the missing role once, it will then be offered from the dataset
  • fix the presets (there are only ~30 relation presets many of them leisure routes)
  • add a "filter" / "don't filter" checkbox that switches new/old behaviour.

I think the filtering is fine. I already worked on some member_expressions and have added a few new roles but there is still room to improve, like #20731 and #21081.
I am not sure, if the old behavior is still needed but it would help in introducing these changes as we could first have the new filtering disabled by default and test it a bit longer.

Last edited 3 months ago by skyper (previous) (diff)

comment:14 Changed 3 months ago by GerdP

forgot my status report before:

Build-Date:2021-10-13 15:14:45
Revision:18274
Is-Local-Build:true

Identification: JOSM/1.5 (18274 SVN en) Windows 10 64-Bit
OS Build number: Windows 10 Home 2009 (19043)
Memory Usage: 520 MB / 1753 MB (355 MB allocated, but free)
Java version: 1.8.0_272-b10, AdoptOpenJDK, OpenJDK 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920×1080 (scaling 1.00×1.00)
Maximum Screen Size: 1920×1080
Best cursor sizes: 16×16→32×32, 32×32→32×32
System property file.encoding: Cp1252
System property sun.jnu.encoding: Cp1252
Locale info: en_DE
Numbers with default locale: 1234567890 -> 1234567890
Dataset consistency test: No problems found

Plugins:
+ apache-commons (35524)
+ buildings_tools (35823)
+ contourmerge (v0.1.8)
+ ejml (35458)
+ geotools (35458)
+ imagery-xml-bounds (35723)
+ jaxb (35543)
+ jts (35458)
+ measurement (35640)
+ o5m (35640)
+ opendata (35803)
+ pbf (35825)
+ poly (35640)
+ reltoolbox (35829)
+ reverter (35732)
+ undelete (35640)
+ utilsplugin2 (35792)

Validator rules:
+ c:\josm\core\resources\data\validator\unnecessary.mapcss


bookmarks=[[camino, 3.0077343, -76.4551234, 3.0262266, -76.4313698], [cont, -16.9686362, 27.0344351, -16.8144005, 27.2720144], [daressalam, -6.8915024, 39.3480813, -6.8815007, 39.3599582], [reisdent, 22.1104892, -78.6436906, 22.1128226, -78.6414805], [secondary link, 40.5074122, 49.9327218, 40.5150716, 49.9422705], [unpaved, 7.4662409, 8.9349425, 7.4754213, 8.9468193], [vietnam, 10.8842616, 106.5954387, 10.8941546, 106.6071224], [test2, 36.400662, 140.4834895, 36.4119703, 140.502995]]
buildings_tool.shape=CIRCLE
buildings_tools.bbmode=true
buildings_tools.shape=RECTANGLE
cache.bing.attribution.xml=1634032949
cache.capabilities1637351842=1633587426
cache.capabilities626798393=1620376112
cache.motd.html=1634130914
cache.motd.html.java=1.8.0_272
cache.motd.html.lang=En:
cache.motd.html.version=18274
changeset-query.advanced.open-restrictions.query-type=open
changeset-query.advanced.time-restrictions.query-type=closed-after
changesetdialog.lastHeight=0
color.layer.47km.kirchseelte.d.nsen.gpx=#00FFCC
color.layer.cuxhavensiracusaaustrans.europa.spezial416.gpx=#0033FF
color.layer.d.2017c.gpx=#66FF66
color.layer.d8.opt13.gpx=#99FF33
commandstack.geometry=x=402,y=81,width=1115,height=837
commandstack.lastHeight=121
commandstack.visible=true
conflict.geometry=x=402,y=154,width=1115,height=435
conflict.lastHeight=0
coordinates=DECIMAL_DEGREES
download.location.zoomtodata=false
download.overpass.query-list.opened=true
download.overpass.servers=[https://overpass-api.de/api/, http://overpass.osm.rambler.ru/cgi/]
download.overpass.wizard=[power=* OR waterway=*,
  type:way layer=* highway=* bridge!=* tunnel!=* global,
  type:way layer=* highway=* bridge!=* tunnel!=*,
  layer=* highway=* bridge!=* tunnel!=*,
  bridge!=*,
  power=*,
  type:relation network=e-road global,
  highway=motorway,
  building=boathouse ,
  building=boathouse global,
  type:relation route=bus,
  type:relation type=multipolygon landuse=* ,
  type:way "addr:interpolation"=*,
  barrier=ditch,
  history="Retrieved from v11" global,
  type:way highway=* ,
  natural=water ,
  type:relation type=multipolygon,
  type:way oneway=yes -"oneway:bicycle"=no "cycleway:right"=opposite_track global,
  type:way oneway=yes "cycleway:right"=opposite_track global,
  type:way "cycleway:right"=opposite_track global
]
download.places.history=[ronneburg, Köszeg, Battir]
download.source.tab=overpassdownloadpanel
download.tabsplit.overpassdownloadpanel=154
downloadAlongTrack.area=1.0
downloadAlongTrack.distance=30.0
downloadAlongTrack.near=2
downloadAlongWay.area=5.0
downloadAlongWay.distance=30.0
downloadprimitive.full=false
downloadprimitive.lasttype=1
downloadprimitive.referrers=false
draw.rawgps.colormode=0
draw.rawgps.lines=2
draw.rawgps.lines.width=3
draw.segment.direction=true
draw.segment.head_only=true
edit.make-parallel-way-action.copy-tags-default=false
elevation.lastHeight=186
expert=true
filter.lastHeight=0
filters.entries=[{version=1, text=highway, mode=add, enable=false, hiding=true, inverted=true}, {version=1, text=highway=motorway or highway=motorway_link or highway=primary or highway=primary_link or highway=trunk or highway=trunk_link, mode=replace, enable=false, hiding=false, inverted=true}, {version=1, text=power=line, mode=add, enable=false, hiding=false, inverted=false}, {version=1, text=boundary=*, mode=add, enable=false, hiding=true, inverted=true}]
geoimage.docked=false
geoimage.geometry=x=904,y=135,width=421,height=698
geoimage.lastHeight=659
geoimage.timezone=+1:00
geojson.export.untagged-closed-is-polygon=true
gpx.convert-tags=no
gpx.convert-tags.last=no
gpx.convert-tags.list.no=[]
gpx.convert-tags.list.yes=[ele, time, name, gpxx:DisplayColor, gpxd:color, gpx:extension:other:line:color]
gpx.traces.maxtime=1612270997000
gpx.traces.mintime=1517059892000
gui.geometry=x=-8,y=-8,width=1936,height=1056
gui.maximized=true
gui.start.animation=false
imagery.entries=[{max-zoom=22, min-zoom=1, noTileHeaders={"X-VE-Tile-Info":["no-tile"]}, noTileChecksums={"MD5":["c13269481c73de6e18589f9fbc3bdf7e"]}, metadataHeaders={"X-VE-TILEMETA-CaptureDatesRange":"Capture Date"}, transparent=true, minimumTileExpire=3600, name=Bing aerial imagery, id=Bing, type=bing, url=https://www.bing.com/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Bing_Maps, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=photo},
  {max-zoom=22, noTileHeaders={"Etag":["\"10i954m13i2\""]}, noTileChecksums={"MD5":["f27d9de7f80c13501f470595e327aa6d"]}, transparent=true, minimumTileExpire=3600, name=Esri World Imagery, id=EsriWorldImagery, type=tms, url=https://{switch:services,server}.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=photo},
  {max-zoom=22, transparent=true, minimumTileExpire=3600, name=Esri World Imagery (Clarity) Beta, id=EsriWorldImageryClarity, type=tms, url=https://clarity.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, permission-reference-url=https://github.com/osmlab/editor-layer-index/pull/358#issuecomment-361416110, cookies=, icon=data:image/png;base64,iVBORw0..., description=Esri archive imagery that may be clearer and more accurate than the default layer., customHttpHeaders={}, category=photo},
  {max-zoom=22, noTileHeaders={"ETag":["\"336b022ed883bc72347a637634e490d4\"|\"067736a547cafe90014b4e59b6510abe\"|\"ee1f6802b0234046b553cbbc672ac7d9\"|\"9f5a2f1d7cc131e58befc2052c71c827\""]}, noTileChecksums={"MD5":["58e78313d04adf0ea64b8de8590c3d46"]}, transparent=true, minimumTileExpire=3600, name=Mapbox Satellite, id=Mapbox, type=tms, url=https://{switch:a,b,c,d}.tiles.mapbox.com/v4/mapbox.satellite/{zoom}/{x}/{y}.jpg?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJja2w5YWt5bnYwNjZmMnFwZjhtbHk1MnA1In0.eq2aumBK6JuRoIuBMm6Gew, attribution-text=Terms & Feedback, attribution-url=https://www.mapbox.com/about/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Vertical_Aerial_Photographs#DigitalGlobe_.2F_MapBox, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=photo},
  {max-zoom=18, valid-georeference=true, overlay=true, transparent=true, minimumTileExpire=3600, name=Waymarked Trails: MTB, id=Waymarked_Trails-MTB, type=tms, url=https://tile.waymarkedtrails.org/mtb/{zoom}/{x}/{y}.png, attribution-text=© waymarkedtrails.org, OpenStreetMap contributors, CC by-SA 3.0, attribution-url=https://mtb.waymarkedtrails.org/help/legal, cookies=, icon=https://static.waymarkedtrail..., customHttpHeaders={}, category=other},
  {max-zoom=18, valid-georeference=true, overlay=true, transparent=true, minimumTileExpire=3600, name=Waymarked Trails: Cycling, id=Waymarked_Trails-Cycling, type=tms, url=https://tile.waymarkedtrails.org/cycling/{zoom}/{x}/{y}.png, attribution-text=© waymarkedtrails.org, OpenStreetMap contributors, CC by-SA 3.0, attribution-url=https://cycling.waymarkedtrails.org/help/legal, cookies=, icon=https://static.waymarkedtrail..., customHttpHeaders={}, category=other},
  {max-zoom=22, noTileChecksums={"MD5":["08d6916814b216570e5241732c41d5e5"]}, valid-georeference=true, transparent=true, minimumTileExpire=3600, name=Maxar Premium Imagery (Beta), id=Maxar-Premium, type=tms, url=https://services.digitalglobe.com/earthservice/tmsaccess/tms/1.0.0/DigitalGlobe:ImageryTileService@EPSG:3857@jpg/{zoom}/{x}/{-y}.jpg?connectId=_apiKey_&foo=premium, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/DigitalGlobe, cookies=, icon=data:image/png;base64,iVBORw0..., description=Maxar Premium is a mosaic composed of Maxar basemap with select regions filled with +Vivid or custom area of interest imagery, 50cm resolution or better, and refreshed more frequently with ongoing updates., customHttpHeaders={}, category=photo},
  {max-zoom=22, noTileChecksums={"MD5":["08d6916814b216570e5241732c41d5e5"]}, transparent=true, minimumTileExpire=3600, name=Maxar Standard Imagery (Beta), id=Maxar-Standard, type=tms, url=https://services.digitalglobe.com/earthservice/tmsaccess/tms/1.0.0/DigitalGlobe:ImageryTileService@EPSG:3857@jpg/{zoom}/{x}/{-y}.jpg?connectId=_apiKey_&foo=standard, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/DigitalGlobe, cookies=, icon=data:image/png;base64,iVBORw0..., description=Maxar Standard is a curated set of imagery covering 86% of the earth’s landmass, with 30-60cm resolution where available, backfilled by Landsat. Average age is 2.31 years, with some areas updated 2x per year., customHttpHeaders={}, category=photo},
  {max-zoom=18, valid-georeference=true, modTileFeatures=true, transparent=true, minimumTileExpire=3600, name=OpenStreetMap (Standard Black & White), id=osm-mapnik-black_and_white, type=tms, url=https://tiles.wmflabs.org/bw-mapnik/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://www.openstreetmap.org/, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=osmbasedmap},
  {max-zoom=19, valid-georeference=true, modTileFeatures=true, transparent=true, minimumTileExpire=3600, name=OpenStreetMap Carto (Standard), id=standard, type=tms, url=https://tile.openstreetmap.org/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, attribution-url=https://www.openstreetmap.org/, permission-reference-url=https://wiki.osmfoundation.org/wiki/Terms_of_Use, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=osmbasedmap},
  {max-zoom=20, valid-georeference=true, overlay=true, transparent=true, minimumTileExpire=3600, name=OpenStreetMap GPS Traces, id=osm-gps, type=tms, url=https://{switch:a,b,c}.gps-tile.openstreetmap.org/lines/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, attribution-url=https://www.openstreetmap.org/copyright, permission-reference-url=https://wiki.osmfoundation.org/wiki/Terms_of_Use, cookies=, icon=data:image/png;base64,iVBORw0..., description=Public GPS traces uploaded to OpenStreetMap., customHttpHeaders={}, category=other},
  {max-zoom=17, min-zoom=3, valid-georeference=true, transparent=true, minimumTileExpire=3600, name=OpenTopoMap, id=OpenTopoMap, type=tms, url=https://{switch:a,b,c}.tile.opentopomap.org/{zoom}/{x}/{y}.png, attribution-text=Kartendaten: © OpenStreetMap-Mitwirkende, SRTM | Kartendarstellung: © OpenTopoMap (CC-BY-SA), attribution-url=https://tile.opentopomap.org/about#verwendung, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=osmbasedmap},
  {max-zoom=18, min-zoom=1, valid-georeference=true, overlay=true, transparent=true, minimumTileExpire=3600, name=OSM Inspector: Geometry, id=OSM_Inspector-Geometry, type=wms_endpoint, url=https://tools.geofabrik.de/osmi/views/geometry/wxs?service=wms&request=getCapabilities, attribution-text=© Geofabrik GmbH, OpenStreetMap contributors, CC-BY-SA, attribution-url=https://tools.geofabrik.de/osmi/, permission-reference-url=https://tools.geofabrik.de/osmi/, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=qa},
  {max-zoom=18, min-zoom=1, valid-georeference=true, overlay=true, transparent=true, minimumTileExpire=3600, name=OSM Inspector: Routing, id=OSM_Inspector-Routing, type=wms_endpoint, url=https://tools.geofabrik.de/osmi/views/routing/wxs?service=wms&request=getCapabilities, attribution-text=© Geofabrik GmbH, OpenStreetMap contributors, CC-BY-SA, attribution-url=https://tools.geofabrik.de/osmi/, permission-reference-url=https://tools.geofabrik.de/osmi/, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=qa},
  {max-zoom=18, min-zoom=4, transparent=true, minimumTileExpire=3600, name=Stamen Terrain, id=stamen-terrain-background, type=tms, url=https://stamen-tiles-{switch:a,b,c,d}.a.ssl.fastly.net/terrain-background/{zoom}/{x}/{y}.png, attribution-text=Map tiles by Stamen Design, under CC BY 3.0. Data by OpenStreetMap, under ODbL, attribution-url=http://maps.stamen.com/#terrain, cookies=, icon=https://stamen.com/wp-content..., customHttpHeaders={}, category=elevation}
]
imagery.generic.loader.cachedir=c:\Users\<user.name>\AppData\Local\JOSM\cache\tiles
imagery.layers.addedIds=[Bing, EsriWorldImagery, EsriWorldImageryClarity, Mapbox, Maxar-Premium, Maxar-Standard, OSM_Inspector-Geometry, OSM_Inspector-Routing, OpenTopoMap, Waymarked_Trails-Cycling, Waymarked_Trails-MTB, opencylemap, osm-gps, osm-mapnik-black_and_white, standard, strava_both_heatmap, strava_cycling_heatmap]
imagery.layers.default=[Bing, EsriWorldImagery, EsriWorldImageryClarity, Mapbox, Maxar-Premium, Maxar-Standard, osm-mapnik-black_and_white, standard]
imagery.offsetbookmarks=[]
incompleteaddress_24.lastHeight=144
incompleteaddress_24.visible=true
iso.dates=true
josm.version=18274
language=en
lastDirectory=F:\osm
layer.rename-file=false
layerlist.lastHeight=121
mappaint.fillareas=100000
mappaint.fontsize=9
mappaint.node.unselected-size=1
mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.entries=[{active=true, title=JOSM default (MapCSS), ptoken=standard, url=resource://styles/standard/elemstyles.mapcss}]
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.mapcss, resource://styles/standard/potlatch2.mapcss]
mappaint.style.migration.switchedToMapCSS=true
mapstyle.lastHeight=0
marker.makeautomarkers.layer GpsiesTrack(5).gpx=true
marker.makeautomarkers.layer ors-export-linestring.gpx=true
measure.lastHeight=0
message.convert_to_data=false
message.convert_to_data.value=0
message.download.overpass.fix.emptytoall=false
message.download.overpass.fix.emptytoall.value=0
message.imagery.nagPanel.http://imagico.de/map/osmim_tiles.php?layer=S2A_R065_N47_20160929T102022&z={zoom}&x={x}&y={-y}=false
message.imagery.nagPanel.http://imagico.de/map/osmim_tiles.php?layer=walps_autumn_2017&z={zoom}&x={x}&y={-y}=false
message.imagery.nagPanel.http://vogis.cnv.at/mapserver/mapserv?map=i_luftbilder_r_wms.map&FORMAT=image/jpeg&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=ef2018_10cm&STYLES=&SRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}=false
message.imagery.nagPanel.http://www.bing.com/maps/=false
message.imagery.nagPanel.http://{switch:a,b,c}.tiles.mapbox.com/v4/enf.e0b8291e/{zoom}/{x}/{y}.png?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJhNVlHd29ZIn0.ti6wATGDWOmCnCYen-Ip7Q=false
message.imagery.nagPanel.https://clarity.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}=false
message.imagery.nagPanel.https://cyberjapandata.gsi.go.jp/xyz/airphoto/{zoom}/{x}/{y}.png=false
message.imagery.nagPanel.https://cyberjapandata.gsi.go.jp/xyz/seamlessphoto/{zoom}/{x}/{y}.jpg=false
message.imagery.nagPanel.https://earthwatch.digitalglobe.com/earthservice/tmsaccess/tms/1.0.0/DigitalGlobe:ImageryTileService@EPSG:3857@jpg/{zoom}/{x}/{-y}.jpg?connectId=d9c5e3ef-6300-4cec-9562-c1f27da6b2d9=false
message.imagery.nagPanel.https://maps{switch:1,2,3,4}.wien.gv.at/basemap/bmaporthofoto30cm/normal/google3857/{zoom}/{y}/{x}.jpeg=false
message.imagery.nagPanel.https://ogc.muenchen.de/wms/opendata_luftbild?FORMAT=image/jpeg&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=bgl0&STYLES=&SRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}=false
message.imagery.nagPanel.https://opengeodata.goteborg.se/services/hojdmodell/wms/v2?LAYERS=terranglutning&STYLES=hojdmodell-v2:terranglutning&FORMAT=image/jpeg&CRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}&VERSION=1.3.0&SERVICE=WMS&REQUEST=GetMap=false
message.imagery.nagPanel.https://opengeodata.goteborg.se/services/ortofoto/wms/v1?LAYERS=orto_2019&STYLES=raster&FORMAT=image/jpeg&CRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}&VERSION=1.3.0&SERVICE=WMS&REQUEST=GetMap=false
message.imagery.nagPanel.https://proxy-ign.openstreetmap.fr/94GjiyqD/bdortho/{zoom}/{x}/{y}.jpg=false
message.imagery.nagPanel.https://services.digitalglobe.com/earthservice/tmsaccess/tms/1.0.0/DigitalGlobe:ImageryTileService@EPSG:3857@jpg/{zoom}/{x}/{-y}.jpg?connectId=_apiKey_&foo=standard=false
message.imagery.nagPanel.https://stamen-tiles-{switch:a,b,c,d}.a.ssl.fastly.net/terrain-background/{zoom}/{x}/{y}.png=false
message.imagery.nagPanel.https://tms.cadastre.openstreetmap.fr/*/tout/{zoom}/{x}/{y}.png=false
message.imagery.nagPanel.https://www.bing.com/maps=false
message.imagery.nagPanel.https://www.bing.com/maps/=false
message.imagery.nagPanel.https://{switch:a,b,c,d}.tiles.mapbox.com/v4/digitalglobe.0a8e44ba/{zoom}/{x}/{y}.png?access_token=pk.eyJ1IjoiZGlnaXRhbGdsb2JlIiwiYSI6ImNqZGFrZ3pjczNpaHYycXFyMGo0djY3N2IifQ.90uebT4-ow1uqZKTUrf6RQ=false
message.imagery.nagPanel.https://{switch:a,b,c,d}.tiles.mapbox.com/v4/digitalglobe.316c9a2e/{zoom}/{x}/{y}.png?access_token=pk.eyJ1IjoiZGlnaXRhbGdsb2JlIiwiYSI6ImNqZGFrZ2c2dzFlMWgyd2x0ZHdmMDB6NzYifQ.9Pl3XOO82ArX94fHV289Pg=false
message.imagery.nagPanel.https://{switch:a,b,c,d}.tiles.mapbox.com/v4/mapbox.satellite/{zoom}/{x}/{y}.jpg?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJjaml5MjVyb3MwMWV0M3hxYmUzdGdwbzE4In0.q548FjhsSJzvXsGlPsFxAQ=false
message.imagery.nagPanel.https://{switch:a,b,c}.tiles.mapbox.com/v4/digitalglobe.0a8e44ba/{zoom}/{x}/{y}.png?access_token=pk.eyJ1IjoiZGlnaXRhbGdsb2JlIiwiYSI6ImNqM293Y3Y5ZjAwaWgycW55ZXFncHk0a3QifQ.6Kprj_J4oDmXqV97RricwA=false
message.imagery.nagPanel.https://{switch:a,b,c}.tiles.mapbox.com/v4/digitalglobe.316c9a2e/{zoom}/{x}/{y}.png?access_token=pk.eyJ1IjoiZGlnaXRhbGdsb2JlIiwiYSI6ImNqM293YnJ5MTAwajIzMnF0bmV4dnV1MW4ifQ.psvzzOez33BOH8xmRiJZWg=false
message.imagery.nagPanel.https://{switch:a,b,c}.tiles.mapbox.com/v4/openstreetmap.map-inh7ifmo/{zoom}/{x}/{y}.png?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJncjlmd0t3In0.DmZsIeOW-3x-C5eX-wAqTw=false
message.imagery.nagPanel.https://{switch:services,server}.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}=false
message.notifier.interval=30
minimap.lastHeight=0
mirror.<josm.cache>\images.http://dev.openseamap.org/josm/icons/Marina16.png=[1548567268798, <josm.cache>\images\mirror_http___dev.openseamap.org_josm_icons_Marina16.png]
mirror.<josm.cache>\images.http://i.imgur.com/aFlvMpM.png=[1506417626141, <josm.cache>\images\mirror_http___i.imgur.com_aFlvMpM.png]
mirror.<josm.cache>\images.http://israelhiking.osm.org.il/content/favicons/favicon.ico=[1503909703202, <josm.cache>\images\mirror_http___israelhiking.osm.org.il_content_favicons_favicon.ico]
mirror.<josm.cache>\images.http://mapa.educacion.gob.ar/wp-content/themes/sitio_nuevo/img/men_icon.png=[1505886537373, <josm.cache>\images\mirror_http___mapa.educacion.gob.ar_wp-content_themes_sitio_nuevo_img_men_icon.png]
mirror.<josm.cache>\images.http://wiki.openstreetmap.org/w/images/2/25/Geoportal-josm.png=[1506153762632, <josm.cache>\images\mirror_http___wiki.openstreetmap.org_w_images_2_25_Geoportal-josm.png]
mirror.<josm.cache>\images.http://www.glaciaresargentinos.gob.ar/wp-content/uploads/2014/08/logo_pesta%C3%B1a.gif=[1627370798460, <josm.cache>\images\mirror_http___www.glaciaresargentinos.gob.ar_wp-content_uploads_2014_08_logo_pesta_C3_B1a.gif]
mirror.<josm.cache>\images.http://www.ign.fr/institut/sites/all/themes/ign_institut/logo.png=[1585990456165, <josm.cache>\images\mirror_http___www.ign.fr_institut_sites_all_themes_ign_institut_logo.png]
mirror.<josm.cache>\images.http://www.ign.gob.ar/sites/default/files/favicon.png=[1627370797004, <josm.cache>\images\mirror_http___www.ign.gob.ar_sites_default_files_favicon.png]
mirror.<josm.cache>\images.http://www.townlands.ie/static/logo_small.png=[1504183810292, <josm.cache>\images\mirror_http___www.townlands.ie_static_logo_small.png]
mirror.<josm.cache>\images.http://www3.inegi.org.mx/sistemas/widget/img/Inegi.png=[1623484766023, <josm.cache>\images\mirror_http___www3.inegi.org.mx_sistemas_widget_img_Inegi.png]
mirror.<josm.cache>\images.https://api.trafikinfo.trafikverket.se/img/apple-touch-icon-144-precomposed.png=[1628440385274, <josm.cache>\images\mirror_https___api.trafikinfo.trafikverket.se_img_apple-touch-icon-144-precomposed.png]
mirror.<josm.cache>\images.https://d3nn82uaxijpm6.cloudfront.net/assets/website/mobile/icon-app-81cc8ba60200bed099176eb699e218ab.png=[1613383192055, <josm.cache>\images\mirror_https___d3nn82uaxijpm6.cloudfront.net_assets_website_mobile_icon-app-81cc8ba60200bed099176eb699e218ab.png]
mirror.<josm.cache>\images.https://geoportal.bayern.de/bayernatlas/favicon/favicon-32x32.png=[1629115519608, <josm.cache>\images\mirror_https___geoportal.bayern.de_bayernatlas_favicon_favicon-32x32.png]
mirror.<josm.cache>\images.https://i.imgur.com/aFlvMpM.png=[1613897473573, <josm.cache>\images\mirror_https___i.imgur.com_aFlvMpM.png]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/images/dialogs/changeset/changesetmanager.svg?format_raw=[1548663939450, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_images_dialogs_changeset_changesetmanager.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/images/misc/green_check.svg?format_raw=[1579705969181, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_images_misc_green_check.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/combineway.svg?format_raw=[1617195355121, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_combineway.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/data/error.svg?format_raw=[1619327472778, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_data_error.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/data/node.svg?format_raw=[1611844433855, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_data_node.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/data/other.svg?format_raw=[1619327473042, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_data_other.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/data/relation.svg?format_raw=[1619327473698, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_data_relation.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/data/warning.svg?format_raw=[1619327472908, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_data_warning.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/data/way.svg?format_raw=[1611844433981, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_data_way.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/add_tms.svg?format_raw=[1605260592027, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_add_tms.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/add_wms.svg?format_raw=[1605260591909, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_add_wms.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/add_wmts.svg?format_raw=[1605260592154, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_add_wmts.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/autoscale/problem.svg?format_raw=[1619327473464, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_autoscale_problem.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/changeset/changesetmanager.svg?format_raw=[1585323372443, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_changeset_changesetmanager.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/changeset/downloadchangeset.svg?format_raw=[1585323372827, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_changeset_downloadchangeset.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/changeset/downloadchangesetcontent.svg?format_raw=[1585323373431, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_changeset_downloadchangesetcontent.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/changeset/updatechangeset.svg?format_raw=[1585323373230, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_changeset_updatechangeset.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/changeset/updatechangesetcontent.svg?format_raw=[1585323373604, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_changeset_updatechangesetcontent.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/changesetdialog.svg?format_raw=[1585323373943, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_changesetdialog.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/delete.svg?format_raw=[1619327473814, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_delete.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/edit.svg?format_raw=[1619327473568, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_edit.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/filter.svg?format_raw=[1605432335731, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_filter.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/fix.svg?format_raw=[1619327472533, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_fix.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/refresh.svg?format_raw=[1605260591789, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_refresh.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/search.svg?format_raw=[1619327473348, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_search.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/select.svg?format_raw=[1619327473174, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_select.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/dialogs/validator.svg?format_raw=[1619327472392, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_dialogs_validator.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/download.svg?format_raw=[1611844434397, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_download.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/download_in_view.svg?format_raw=[1611844434529, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_download_in_view.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/downloadprimitive.svg?format_raw=[1611844433703, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_downloadprimitive.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/joinareas.svg?format_raw=[1617195355653, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_joinareas.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/open.svg?format_raw=[1606053508341, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_open.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/openlocation.svg?format_raw=[1611844434669, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_openlocation.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/openrecent.svg?format_raw=[1606053508477, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_openrecent.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/preferences/activate-down.svg?format_raw=[1605260591657, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_preferences_activate-down.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/preferences/advanced.svg?format_raw=[1605343098867, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_preferences_advanced.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/preferences/imagery.svg?format_raw=[1605260591398, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_preferences_imagery.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/browser/trunk/resources/images/splitway.svg?format_raw=[1617195355493, <josm.cache>\images\mirror_https___josm.openstreetmap.de_browser_trunk_resources_images_splitway.svg_format_raw]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/raw-attachment/wiki/Maps/Croatia/dgu.png=[1606053618094, <josm.cache>\images\mirror_https___josm.openstreetmap.de_raw-attachment_wiki_Maps_Croatia_dgu.png]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/raw-attachment/wiki/Maps/Croatia/osm-hr.png=[1606053618456, <josm.cache>\images\mirror_https___josm.openstreetmap.de_raw-attachment_wiki_Maps_Croatia_osm-hr.png]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/raw-attachment/wiki/Maps/USA%20Country/TIGER2017RoadsOverlay.png=[1633589690406, <josm.cache>\images\mirror_https___josm.openstreetmap.de_raw-attachment_wiki_Maps_USA_20Country_TIGER2017RoadsOverlay.png]
mirror.<josm.cache>\images.https://josm.openstreetmap.de/raw-attachment/wiki/Maps/United%20Kingdom/NLS.png=[1628325487575, <josm.cache>\images\mirror_https___josm.openstreetmap.de_raw-attachment_wiki_Maps_United_20Kingdom_NLS.png]
mirror.<josm.cache>\images.https://kelkkareitit.fi/img/favicon.png=[1634031227644, <josm.cache>\images\mirror_https___kelkkareitit.fi_img_favicon.png]
mirror.<josm.cache>\images.https://kommunikasjon.ntb.no/data/images/00525/e8799776-4b69-4ec4-906d-46285ccb3dbe-w_300_h_100.png=[1627054104649, <josm.cache>\images\mirror_https___kommunikasjon.ntb.no_data_images_00525_e8799776-4b69-4ec4-906d-46285ccb3dbe-w_300_h_100.png]
mirror.<josm.cache>\images.https://map.valentim.org/favicon.png=[1612858034293, <josm.cache>\images\mirror_https___map.valentim.org_favicon.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/europe/gb/NLS-OSTownPlan-Hamilton1858.png=[1594285887366, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_europe_gb_NLS-OSTownPlan-Hamilton1858.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/north-america/us/TIGER2017RoadsOverlay.png=[1633589690729, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_north-america_us_TIGER2017RoadsOverlay.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/Bing.png=[1615188685130, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_Bing.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/EsriImageryClarity.png=[1615188685307, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_EsriImageryClarity.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/MapBoxSatellite.png=[1615188685475, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_MapBoxSatellite.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/OSMIHighways.png=[1615188686035, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_OSMIHighways.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/OpenStreetMap-GPS.png=[1615188685736, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_OpenStreetMap-GPS.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/OpenStreetMap-MapnikBlackWhite.png=[1615188685654, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_OpenStreetMap-MapnikBlackWhite.png]
mirror.<josm.cache>\images.https://osmlab.github.io/editor-layer-index/sources/world/OpenTopoMap.png=[1615188685887, <josm.cache>\images\mirror_https___osmlab.github.io_editor-layer-index_sources_world_OpenTopoMap.png]
mirror.<josm.cache>\images.https://osmuk.org/wp-content/uploads/2017/09/icon_color_square.png=[1628325487901, <josm.cache>\images\mirror_https___osmuk.org_wp-content_uploads_2017_09_icon_color_square.png]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/FreemapSlovakia/freemap-v3-react/master/src/images/freemap-logo-small.png=[1633680813065, <josm.cache>\images\mirror_https___raw.githubusercontent.com_FreemapSlovakia_freemap-v3-react_master_src_images_freemap-logo-small.png]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/png/OpenSeaMapLogo_16.png=[1548567239762, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_png_OpenSeaMapLogo_16.png]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/B/B20.svg=[1548567240184, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_B_B20.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/B/B21.svg=[1548567239975, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_B_B21.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/B/B25.1.svg=[1548567240373, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_B_B25.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/D/D26.svg=[1548567240784, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_D_D26.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/D/Db_uk.svg=[1548567240553, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_D_Db_uk.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E10.svg=[1548567241039, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E10.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E12.svg=[1548567241442, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E12.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E13.svg=[1548567241651, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E13.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E14.svg=[1548567241837, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E14.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E15.svg=[1548567242021, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E15.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E16.svg=[1548567242205, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E16.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E17.svg=[1548567242419, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E17.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E18.svg=[1548567242628, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E18.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E19.svg=[1548567242832, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E19.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E20.svg=[1548567243015, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E20.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E21.svg=[1548567243215, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E21.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E22.svg=[1548567243402, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E22.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E23.svg=[1548567243589, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E23.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E23_colour.svg=[1548567241246, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E23_colour.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E24.svg=[1548567243785, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E24.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E25.svg=[1548567243972, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E25.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E26.1.svg=[1548567244179, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E26.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E27.svg=[1548567244356, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E27.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E28_.svg=[1548567244559, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E28_.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E29.svg=[1548567244759, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E29.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E31.svg=[1548567244945, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E31.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E32.svg=[1548567245142, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E32.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E33.svg=[1548567245333, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E33.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/E/E36.svg=[1548567245530, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_E_E36.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F.svg=[1548567245716, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F10.svg=[1548567245914, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F10.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F20.svg=[1548567246804, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F20.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F21.svg=[1548567246999, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F21.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F22.svg=[1548567247204, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F22.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F60.svg=[1548567247395, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F60.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F61.svg=[1548567247571, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F61.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F62.1.svg=[1548567247764, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F62.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/F/F63.svg=[1548567247984, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_F_F63.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/J/J14.svg=[1548567248348, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_J_J14.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/J/J15.svg=[1548567248169, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_J_J15.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/K/K11.svg=[1548567248730, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_K_K11.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/K/K12.svg=[1548567248519, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_K_K12.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/K/K24.svg=[1548567248930, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_K_K24.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/K/K31.svg=[1548567249111, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_K_K31.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/K/K40.svg=[1548567249288, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_K_K40.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/K/K48.1.svg=[1548567249478, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_K_K48.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L10.svg=[1548567249862, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L10.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L16.svg=[1548567250598, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L16.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L17.svg=[1548567249674, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L17.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L31.svg=[1548567250785, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L31.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L40.svg=[1548567250974, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L40.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L5.1.svg=[1548567250052, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L5.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L5.2.svg=[1548567250223, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L5.2.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/L/L6.svg=[1548567250414, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_L_L6.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/M/M10.svg=[1548567251155, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_M_M10.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/M/M40.2.svg=[1548567251349, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_M_M40.2.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N12.svg=[1548567252207, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N12.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N13.svg=[1548567252384, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N13.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N2.1.svg=[1548567252020, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N2.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N20.svg=[1548567252590, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N20.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N21.svg=[1548567251533, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N21.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N22_seal_green.svg=[1548567252771, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N22_seal_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/N/N27.svg=[1548567252963, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_N_N27.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/P/P1.major.svg=[1548567253151, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_P_P1.major.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/P/P1.minor.svg=[1548567253345, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_P_P1.minor.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/P/P6.svg=[1548567253534, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_P_P6.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/BNIWR/reduce_speed.svg=[1548567266878, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_BNIWR_reduce_speed.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/CEVNI/berthing_lateral_limit.svg=[1548567266688, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_CEVNI_berthing_lateral_limit.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/CEVNI/channel_two_way.svg=[1548567266504, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_CEVNI_channel_two_way.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/CEVNI/navigation_restrictions.svg=[1548567266314, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_CEVNI_navigation_restrictions.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/CEVNI/no_berthing_lateral_limit.svg=[1548567265571, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_CEVNI_no_berthing_lateral_limit.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/CEVNI/no_entry.svg=[1548567265386, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_CEVNI_no_entry.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/CEVNI/speed_limit.svg=[1548567265775, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_CEVNI_speed_limit.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/PPWBC/left/change_bank.svg=[1548567267056, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_PPWBC_left_change_bank.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q126/RIWR/check_point.svg=[1548567267250, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q126_RIWR_check_point.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q31/generic.svg=[1548567262619, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q31_generic.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q40/generic.svg=[1548567262424, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q40_generic.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/2_cones_base_together/black.svg=[1548567255277, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_2_cones_base_together_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/2_cones_down/black.svg=[1548567255086, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_2_cones_down_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/2_cones_point_together/black.svg=[1548567255455, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_2_cones_point_together_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/2_cones_point_together/red_green.svg=[1548567256608, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_2_cones_point_together_red_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/2_cones_up/black.svg=[1548567254885, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_2_cones_up_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/2_spheres/black.svg=[1548567255820, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_2_spheres_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cone_point_down/red.svg=[1548567256422, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cone_point_down_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cone_point_up/generic.svg=[1548567253923, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cone_point_up_generic.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cone_point_up/green.svg=[1548567254117, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cone_point_up_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cone_point_up/red.svg=[1548567254502, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cone_point_up_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cross/yellow.svg=[1548567256211, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cross_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cylinder/green.svg=[1548567254701, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cylinder_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/cylinder/red.svg=[1548567254313, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_cylinder_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/rhombus/border/green_white.svg=[1548567257540, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_rhombus_border_green_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/rhombus/horizontal/green_white.svg=[1548567257359, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_rhombus_horizontal_green_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/rhombus/vertical/yellow_black_yellow.svg=[1548567257732, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_rhombus_vertical_yellow_black_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/sphere/red.svg=[1548567255643, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_sphere_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/square/border/red_white.svg=[1548567257173, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_square_border_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/square/horizontal/white_red_white.svg=[1548567256992, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_square_horizontal_white_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/square/vertical/yellow_black_yellow.svg=[1548567257912, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_square_vertical_yellow_black_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/triangle_point_down/border/red_white.svg=[1548567258104, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_triangle_point_down_border_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/triangle_point_up/border/green_white.svg=[1548567258322, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_triangle_point_up_border_green_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/Q9/x-shape/yellow.svg=[1548567256007, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_Q9_x-shape_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/generic.svg=[1548567262795, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_generic.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/green.svg=[1548567263918, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/black_red_black.svg=[1548567263375, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_black_red_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/black_yellow.svg=[1548567263000, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_black_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/black_yellow_black.svg=[1548567265031, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_black_yellow_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/green_red_green.svg=[1548567264291, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_green_red_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/green_white_green_white.svg=[1548567264648, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_green_white_green_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/red_green_red.svg=[1548567264108, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_red_green_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/red_green_red_green.svg=[1548567256803, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_red_green_red_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/red_white_red_white.svg=[1548567264468, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_red_white_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/yellow_black.svg=[1548567264846, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_yellow_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/horizontal/yellow_black_yellow.svg=[1548567265206, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_horizontal_yellow_black_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/red.svg=[1548567263720, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/vertical/red_white.svg=[1548567263184, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_vertical_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/buoyant/yellow.svg=[1548567263544, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_buoyant_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/generic.svg=[1548567258708, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_generic.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/green.svg=[1548567260008, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/black_red_black.svg=[1548567259251, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_black_red_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/black_yellow.svg=[1548567258885, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_black_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/black_yellow_black.svg=[1548567261866, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_black_yellow_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/green_red_green.svg=[1548567260465, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_green_red_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/green_white_green_white.svg=[1548567260840, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_green_white_green_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/red_green_red.svg=[1548567260188, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_red_green_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/red_green_red_green.svg=[1548567261033, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_red_green_red_green.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/red_white_red_white.svg=[1548567260660, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_red_white_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/yellow_black.svg=[1548567261685, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_yellow_black.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/horizontal/yellow_black_yellow.svg=[1548567253738, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_horizontal_yellow_black_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/red.svg=[1548567259620, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_red.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/vertical/red_white.svg=[1548567259062, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_vertical_red_white.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/vertical/yellow_blue.svg=[1548567262046, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_vertical_yellow_blue.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/pillar/yellow.svg=[1548567259439, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_pillar_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/spherical/yellow.svg=[1548567261486, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_spherical_yellow.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/Q/super-buoy/generic.svg=[1548567262241, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_Q_super-buoy_generic.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/R/R1.svg=[1548567267435, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_R_R1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/S/S1.svg=[1548567267624, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_S_S1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/S/S4.svg=[1548567258514, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_S_S4.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/S/S5.svg=[1548567267799, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_S_S5.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/T/T1.1.svg=[1548567267982, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_T_T1.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/T/T12.svg=[1548567268170, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_T_T12.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/T/T20.svg=[1548567268355, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_T_T20.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/U/U1.1.svg=[1548567268542, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_U_U1.1.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/icons/svg/U/U2.svg=[1548567246112, <josm.cache>\images\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_icons_svg_U_U2.svg]
mirror.<josm.cache>\images.https://raw.githubusercontent.com/yopaseopor/beta_preset_josm/master/DE/traffic_signs/DE/DE_.svg=[1602225533391, <josm.cache>\images\mirror_https___raw.githubusercontent.com_yopaseopor_beta_preset_josm_master_DE_traffic_signs_DE_DE_.svg]
mirror.<josm.cache>\images.https://register.geonorge.no/data/organizations/870917732_od_liten.png=[1628440059528, <josm.cache>\images\mirror_https___register.geonorge.no_data_organizations_870917732_od_liten.png]
mirror.<josm.cache>\images.https://register.geonorge.no/data/organizations/_L_norgeibilder96x96.png=[1627054104195, <josm.cache>\images\mirror_https___register.geonorge.no_data_organizations__L_norgeibilder96x96.png]
mirror.<josm.cache>\images.https://stamen.com/wp-content/uploads/2016/07/stamen_compass_rose_small-01.png=[1633587430406, <josm.cache>\images\mirror_https___stamen.com_wp-content_uploads_2016_07_stamen_compass_rose_small-01.png]
mirror.<josm.cache>\images.https://static.tirol.gv.at/plainhtml/v1/tirollogo.gif=[1506261068432, <josm.cache>\images\mirror_https___static.tirol.gv.at_plainhtml_v1_tirollogo.gif]
mirror.<josm.cache>\images.https://static.waymarkedtrails.org/img/map_cycling.png=[1633587431692, <josm.cache>\images\mirror_https___static.waymarkedtrails.org_img_map_cycling.png]
mirror.<josm.cache>\images.https://static.waymarkedtrails.org/img/map_mtb.png=[1633587431779, <josm.cache>\images\mirror_https___static.waymarkedtrails.org_img_map_mtb.png]
mirror.<josm.cache>\images.https://svn.openstreetmap.org/applications/editors/josm/plugins/cadastre-fr/images/cadastre_small.png=[1585990456428, <josm.cache>\images\mirror_https___svn.openstreetmap.org_applications_editors_josm_plugins_cadastre-fr_images_cadastre_small.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/b/b4/Coat_of_Arms_of_Switzerland_%28Pantone%29.svg=[1620369474871, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_b_b4_Coat_of_Arms_of_Switzerland__28Pantone_29.svg]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/0/02/Emblem_of_the_Norwegian_Directorate_of_Mining.svg/157px-Emblem_of_the_Norwegian_Directorate_of_Mining.svg.png=[1627054103411, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_0_02_Emblem_of_the_Norwegian_Directorate_of_Mining.svg_157px-Emblem_of_the_Norwegian_Directorate_of_Mining.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/6/68/Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg/143px-Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg.png=[1628440058999, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_6_68_Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg_143px-Coat_of_arms_of_the_Norwegian_Coastal_Administration.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/8/86/V%C3%A4yl%C3%A4virasto_logo.svg/200px-V%C3%A4yl%C3%A4virasto_logo.svg.png=[1634031226889, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_8_86_V_C3_A4yl_C3_A4virasto_logo.svg_200px-V_C3_A4yl_C3_A4virasto_logo.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Sweden_road_sign_D9.svg/200px-Sweden_road_sign_D9.svg.png=[1628440384540, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_8_8f_Sweden_road_sign_D9.svg_200px-Sweden_road_sign_D9.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/9/97/G%C3%B6teborg_kommunvapen_-_Riksarkivet_Sverige.png/206px-G%C3%B6teborg_kommunvapen_-_Riksarkivet_Sverige.png=[1612971544147, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_9_97_G_C3_B6teborg_kommunvapen_-_Riksarkivet_Sverige.png_206px-G_C3_B6teborg_kommunvapen_-_Riksarkivet_Sverige.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg/175px-Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg.png=[1627054103496, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_9_9c_Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg_175px-Emblem_of_the_Norwegian_Directorate_of_Fisheries.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Emblem_of_the_Norwegian_Public_Roads_Administration.svg/200px-Emblem_of_the_Norwegian_Public_Roads_Administration.svg.png=[1627054105334, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_commons_thumb_b_b2_Emblem_of_the_Norwegian_Public_Roads_Administration.svg_200px-Emblem_of_the_Norwegian_Public_Roads_Administration.svg.png]
mirror.<josm.cache>\images.https://upload.wikimedia.org/wikipedia/en/5/59/Riksantikvaren_logo.png=[1627054104703, <josm.cache>\images\mirror_https___upload.wikimedia.org_wikipedia_en_5_59_Riksantikvaren_logo.png]
mirror.<josm.cache>\images.https://wiki.openstreetmap.org/w/images/0/0f/Bank_Danych_o_Lasach_ikona-bdl.png=[1613892220585, <josm.cache>\images\mirror_https___wiki.openstreetmap.org_w_images_0_0f_Bank_Danych_o_Lasach_ikona-bdl.png]
mirror.<josm.cache>\images.https://wiki.openstreetmap.org/w/images/2/25/Geoportal-josm.png=[1613892220738, <josm.cache>\images\mirror_https___wiki.openstreetmap.org_w_images_2_25_Geoportal-josm.png]
mirror.<josm.cache>\images.https://www.basemap.at/images/logo_basemap.jpg=[1566281040350, <josm.cache>\images\mirror_https___www.basemap.at_images_logo_basemap.jpg]
mirror.<josm.cache>\images.https://www.fosterhjemsforening.no/wp-content/uploads/2015/06/SSB_logo1.png=[1627054105265, <josm.cache>\images\mirror_https___www.fosterhjemsforening.no_wp-content_uploads_2015_06_SSB_logo1.png]
mirror.<josm.cache>\images.https://www.fs.usda.gov/sites/all/themes/fs_hq/images/usfslogo.png=[1633589690129, <josm.cache>\images\mirror_https___www.fs.usda.gov_sites_all_themes_fs_hq_images_usfslogo.png]
mirror.<josm.cache>\images.https://www.geoportail.lu/static/img/lion.png=[1505718279405, <josm.cache>\images\mirror_https___www.geoportail.lu_static_img_lion.png]
mirror.<josm.cache>\images.https://www.ign.fr/sites/default/files/styles/thumbnail/public/2020-06/logoIGN_300x200.png?itok_MT8RiLtp.png=[1617625908144, <josm.cache>\images\mirror_https___www.ign.fr_sites_default_files_styles_thumbnail_public_2020-06_logoIGN_300x200.png_itok_MT8RiLtp.png]
mirror.<josm.cache>\images.https://www.ign.gob.ar/sites/default/files/favicon.png=[1627370796180, <josm.cache>\images\mirror_https___www.ign.gob.ar_sites_default_files_favicon.png]
mirror.<josm.cache>\images.https://www.liikennevirasto.fi/livi-theme/images/general/liikennevirasto_logo_2x.png=[1545060346909, <josm.cache>\images\mirror_https___www.liikennevirasto.fi_livi-theme_images_general_liikennevirasto_logo_2x.png]
mirror.<josm.cache>\images.https://www.maanmittauslaitos.fi/apple-touch-icon.png=[1634031227251, <josm.cache>\images\mirror_https___www.maanmittauslaitos.fi_apple-touch-icon.png]
mirror.<josm.cache>\images.https://www.melbourne.vic.gov.au/_catalogs/masterpage/android-icon.png=[1614323866202, <josm.cache>\images\mirror_https___www.melbourne.vic.gov.au__catalogs_masterpage_android-icon.png]
mirror.<josm.cache>\images.https://www.muenchen.de/media/css/images/favicon_114x114.png=[1605514986710, <josm.cache>\images\mirror_https___www.muenchen.de_media_css_images_favicon_114x114.png]
mirror.<josm.cache>\images.https://www.naturvardsverket.se/Documents/logotypes/nv-logo-sv.svg=[1628440384883, <josm.cache>\images\mirror_https___www.naturvardsverket.se_Documents_logotypes_nv-logo-sv.svg]
mirror.<josm.cache>\images.https://www.spatial.nsw.gov.au/__data/assets/file/0010/210520/favicon.ico=[1570957281253, <josm.cache>\images\mirror_https___www.spatial.nsw.gov.au___data_assets_file_0010_210520_favicon.ico]
mirror.<josm.cache>\images.https://www.spatial.nsw.gov.au/__data/assets/file/0017/224801/favicon.ico=[1623505916867, <josm.cache>\images\mirror_https___www.spatial.nsw.gov.au___data_assets_file_0017_224801_favicon.ico]
mirror.<josm.cache>\images.https://www.townlands.ie/static/logo_small.png=[1623991347892, <josm.cache>\images\mirror_https___www.townlands.ie_static_logo_small.png]
mirror.<josm.pref>\cache\images.https://d3nn82uaxijpm6.cloudfront.net/assets/website/mobile/icon-app-81cc8ba60200bed099176eb699e218ab.png=[1606053173718, <josm.pref>\cache\images\mirror_https___d3nn82uaxijpm6.cloudfront.net_assets_website_mobile_icon-app-81cc8ba60200bed099176eb699e218ab.png]
mirror.http://download.geofabrik.de/africa/zambia.poly=[1618582305165, <josm.cache>\mirror_http___download.geofabrik.de_africa_zambia.poly]
mirror.http://download.geofabrik.de/europe/albania.poly=[1568615642442, <josm.cache>\mirror_http___download.geofabrik.de_europe_albania.poly]
mirror.http://download.geofabrik.de/europe/france.poly=[1618996874072, <josm.cache>\mirror_http___download.geofabrik.de_europe_france.poly]
mirror.http://download.geofabrik.de/europe/malta-latest.osm.pbf=[1548056687378, <josm.cache>\mirror_http___download.geofabrik.de_europe_malta-latest.osm.pbf]
mirror.http://download.geofabrik.de/europe/monaco-latest.osm.pbf=[1548056604768, <josm.cache>\mirror_http___download.geofabrik.de_europe_monaco-latest.osm.pbf]
mirror.http://josm.openstreetmap.de/maps=[1615274899685, <josm.cache>\mirror_http___josm.openstreetmap.de_maps]
mirror.http://maps.nlsc.gov.tw/OpenData/wmts=[1503395728756, <josm.cache>\mirror_http___maps.nlsc.gov.tw_OpenData_wmts]
mirror.http://mapy.geoportal.gov.pl/wss/service/WMTS/guest/wmts/ORTO?SERVICE_WMTS&REQUEST_getcapabilities=[1506417655331, <josm.cache>\mirror_http___mapy.geoportal.gov.pl_wss_service_WMTS_guest_wmts_ORTO_SERVICE_WMTS_REQUEST_getcapabilities]
mirror.http://mapy.geoportal.gov.pl/wss/service/img/guest/HYDRO/MapServer/WMSServer?SERVICE_WMS&REQUEST_GetCapabilities=[1605263414996, <josm.cache>\mirror_http___mapy.geoportal.gov.pl_wss_service_img_guest_HYDRO_MapServer_WMSServer_SERVICE_WMS_REQUEST_GetCapabilities]
mirror.https://geodata.nationaalgeoregister.nl/luchtfoto/rgb/wmts?request_GetCapabilities=[1585648942368, <josm.cache>\mirror_https___geodata.nationaalgeoregister.nl_luchtfoto_rgb_wmts_request_GetCapabilities]
mirror.https://github.com/kendzi/Simple3dBuildingsPreset/releases/download/0.9_2018-05-08/s3db-preset.zip=[1578824367614, <josm.cache>\mirror_https___github.com_kendzi_Simple3dBuildingsPreset_releases_download_0.9_2018-05-08_s3db-preset.zip]
mirror.https://ide.ign.gob.ar/geoservicios/rest/services/sensores_remotos/santa_cruz_3/ImageServer/WMTS?=[1615275048916, <josm.cache>\mirror_https___ide.ign.gob.ar_geoservicios_rest_services_sensores_remotos_santa_cruz_3_ImageServer_WMTS_]
mirror.https://ide.ign.gob.ar/geoservicios/rest/services/sensores_remotos/santa_cruz_6/ImageServer/WMTS?=[1615274990870, <josm.cache>\mirror_https___ide.ign.gob.ar_geoservicios_rest_services_sensores_remotos_santa_cruz_6_ImageServer_WMTS_]
mirror.https://josm.openstreetmap.de/josmfile?page_Presets/Historical_Objects&zip_1=[1548567241051, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Presets_Historical_Objects_zip_1]
mirror.https://josm.openstreetmap.de/josmfile?page_Styles/Lit&zip_1=[1603614489084, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_Lit_zip_1]
mirror.https://josm.openstreetmap.de/josmfile?page_Styles/PublicTransport&zip_1=[1571376324367, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_PublicTransport_zip_1]
mirror.https://josm.openstreetmap.de/maps=[1634119811657, <josm.cache>\mirror_https___josm.openstreetmap.de_maps]
mirror.https://josm.openstreetmap.de/presets=[1615363246243, <josm.cache>\mirror_https___josm.openstreetmap.de_presets]
mirror.https://josm.openstreetmap.de/proj/BETA2007.gsb=[1605515005599, <josm.cache>\mirror_https___josm.openstreetmap.de_proj_BETA2007.gsb]
mirror.https://josm.openstreetmap.de/remote/geofabrik-index-v1-nogeom.json=[1633587428328, <josm.cache>\mirror_https___josm.openstreetmap.de_remote_geofabrik-index-v1-nogeom.json]
mirror.https://josm.openstreetmap.de/remote/sophox-sparql?query_SELECT+%28CONCAT%28%22Key%3A%22%2C+%3Fpermanent_key_ID%29+as+%3FOSM_key%29+%3Fformatter_URL+WHERE+%7B%0A++%3Fitem+osmdt%3AP2+osmd%3AQ7.%0A++%3Fitem+osmdt%3AP16+%3Fpermanent_key_ID.%0A++%3Fitem+osmdt%3AP8+%3Fformatter_URL.%0A%7D%0A=[1586794258707, <josm.cache>\mirror_https___josm.openstreetmaa9afd68cc62ad3780ff2609e7bb1e11b]
mirror.https://josm.openstreetmap.de/remote/wikidata-sparql?query_SELECT+%3FOSM_key+%3Fformatter_URL+WHERE+%7B%0A++%7B+%3Fitem+wdt%3AP1282+%3FOSM_key.+%7D%0A++FILTER%28STRSTARTS%28%3FOSM_key%2C+%27Key%3A%27%29%29+.%0A%0A++%7B%0A++++%7B+%3Fitem+wdt%3AP1630+%3Fformatter_URL.+%7D%0A++++UNION%0A++++%7B+%3Fitem+wdt%3AP3303+%3Fformatter_URL.+%7D%0A++%7D%0A%7D%0A=[1586794257957, <josm.cache>\mirror_https___josm.openstreetma2ed2f87d98ef5b24c7f8123020996ecf]
mirror.https://josm.openstreetmap.de/rules=[1632905777009, <josm.cache>\mirror_https___josm.openstreetmap.de_rules]
mirror.https://josm.openstreetmap.de/styles=[1612361213083, <josm.cache>\mirror_https___josm.openstreetmap.de_styles]
mirror.https://josm.openstreetmap.de/tested=[1632985931778, <josm.cache>\mirror_https___josm.openstreetmap.de_tested]
mirror.https://josm.openstreetmap.de/wiki/Plugin/PT_Assistant/Wizard?format_txt=[1571376323018, <josm.cache>\mirror_https___josm.openstreetmap.de_wiki_Plugin_PT_Assistant_Wizard_format_txt]
mirror.https://mapy.geoportal.gov.pl/wss/service/PZGIK/ORTO/WMTS/HighResolution?SERVICE_WMTS&REQUEST_GetCapabilities=[1612950194234, <josm.cache>\mirror_https___mapy.geoportal.gov.pl_wss_service_PZGIK_ORTO_WMTS_HighResolution_SERVICE_WMTS_REQUEST_GetCapabilities]
mirror.https://mapy.geoportal.gov.pl/wss/service/WMTS/guest/wmts/ORTO?SERVICE_WMTS&REQUEST_GetCapabilities=[1612950364286, <josm.cache>\mirror_https___mapy.geoportal.gov.pl_wss_service_WMTS_guest_wmts_ORTO_SERVICE_WMTS_REQUEST_GetCapabilities]
mirror.https://mapy.geoportal.gov.pl/wss/service/img/guest/HYDRO/MapServer/WMSServer?SERVICE_WMS&REQUEST_GetCapabilities=[1605263238966, <josm.cache>\mirror_https___mapy.geoportal.gov.pl_wss_service_img_guest_HYDRO_MapServer_WMSServer_SERVICE_WMS_REQUEST_GetCapabilities]
mirror.https://osmlab.github.io/editor-layer-index/imagery.xml=[1615187375517, <josm.cache>\mirror_https___osmlab.github.io_editor-layer-index_imagery.xml]
mirror.https://query.wikidata.org/sparql?query_SELECT+%3FOSM_key+%3Fformatter_URL+WHERE+%7B%0A++%7B+%3Fitem+wdt%3AP1282+%3FOSM_key.+%7D%0A++FILTER%28STRSTARTS%28%3FOSM_key%2C+%27Key%3A%27%29%29+.%0A%0A++%7B%0A++++%7B+%3Fitem+wdt%3AP1630+%3Fformatter_URL.+%7D%0A++++UNION%0A++++%7B+%3Fitem+wdt%3AP3303+%3Fformatter_URL.+%7D%0A++%7D%0A%7D%0A=[1606124978536, <josm.cache>\mirror_https___query.wikidata.orafe1bbcbeea917612040d02750123dbc]
mirror.https://raw.githubusercontent.com/OpenNauticalChart/josm/master/INT-1-preset.xml=[1548567239510, <josm.cache>\mirror_https___raw.githubusercontent.com_OpenNauticalChart_josm_master_INT-1-preset.xml]
mirror.https://raw.githubusercontent.com/yopaseopor/traffic_signs_style_JOSM/master/Styles_Traffic_signs_AME.zip=[1603614488987, <josm.cache>\mirror_https___raw.githubusercontent.com_yopaseopor_traffic_signs_style_JOSM_master_Styles_Traffic_signs_AME.zip]
mirror.https://sophox.org/sparql?query_SELECT+%28CONCAT%28%22Key%3A%22%2C+%3Fpermanent_key_ID%29+as+%3FOSM_key%29+%3Fformatter_URL+WHERE+%7B%0A++%3Fitem+osmdt%3AP2+osmd%3AQ7.%0A++%3Fitem+osmdt%3AP16+%3Fpermanent_key_ID.%0A++%3Fitem+osmdt%3AP8+%3Fformatter_URL.%0A%7D%0A=[1602249758675, <josm.cache>\mirror_https___sophox.org_sparql90f0ddf84bcdeb2d57ad686b549968b1]
mirror.https://tools.geofabrik.de/osmi/views/geometry/wxs?service_wms&request_getCapabilities=[1612969355376, <josm.cache>\mirror_https___tools.geofabrik.de_osmi_views_geometry_wxs_service_wms_request_getCapabilities]
mirror.https://tools.geofabrik.de/osmi/views/routing/wxs?service_wms&request_getCapabilities=[1605434333346, <josm.cache>\mirror_https___tools.geofabrik.de_osmi_views_routing_wxs_service_wms_request_getCapabilities]
mirror.https://wms.geonorge.no/skwms1/wms.reguleringsplaner?SERVICE_WMS&REQUEST_GetCapabilities=[1612971196631, <josm.cache>\mirror_https___wms.geonorge.no_skwms1_wms.reguleringsplaner_SERVICE_WMS_REQUEST_GetCapabilities]
mirror.https://www.wmts.nrw.de/geobasis/wmts_nw_dop/1.0.0/WMTSCapabilities.xml?REQUEST_GetCapabilities&SERVICE_WMTS=[1618219500735, <josm.cache>\mirror_https___www.wmts.nrw.de_geobasis_wmts_nw_dop_1.0.0_WMTSCapabilities.xml_REQUEST_GetCapabilities_SERVICE_WMTS]
notes/note_open.lastHeight=0
o24.png.lastHeight=0
org.openstreetmap.josm.actions.HistoryInfoAction$HistoryObjectIDDialog.primitivesHistory=[724657391, r2795128, 3900545, 6038068]
org.openstreetmap.josm.actions.ImageryAdjustAction$ImageryOffsetDialog.geometry=x=1131,y=367,width=719,height=267
org.openstreetmap.josm.actions.OpenLocationAction.geometry=x=789,y=417,width=341,height=206
org.openstreetmap.josm.actions.OpenLocationAction.uploadAddressHistory=[https://www.openstreetmap.org/way/30745336,
  http://www.openstreetmap.org/?mlat=56.835675&mlon=37.404949&zoom=17,
  http://download.geofabrik.de/europe/france.poly,
  http://download.geofabrik.de/africa/zambia.poly,
  https://www.openstreetmap.org/node/7781939900,
  http://josm.openstreetmap.de/maps,
  https://www.openstreetmap.org/note/20724,
  https://www.openstreetmap.org/note/1067888,
  https://www.openstreetmap.org/api/0.6/notes/1042553,
  https://www.openstreetmap.org/api/0.6/notes/2434904,
  https://www.openstreetmap.org/api/0.6/notes/2429117,
  https://api.openstreetmap.org/api/0.6/node/2761370960/1,
  https://www.openstreetmap.org/relation/1108752,
  https://github.com/cyclestreets/tflcid-conversion/blob/master/output/tables.osm.xml,
  https://api.openstreetmap.org/api/0.6/way/2/history
]
org.openstreetmap.josm.actions.OverpassDownloadAction$OverpassDownloadDialog.geometry=x=460,y=220,width=1000,height=600
org.openstreetmap.josm.actions.SessionSaveAsAction$SessionSaveAsDialog.geometry=x=785,y=295,width=350,height=450
org.openstreetmap.josm.gui.NoteInputDialog.geometry=x=760,y=370,width=400,height=300
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=524,y=43,width=959,height=841
org.openstreetmap.josm.gui.datatransfer.importers.OsmLinkPaster$NoWarnOpenLocationAction.geometry=x=789,y=417,width=341,height=206
org.openstreetmap.josm.gui.datatransfer.importers.OsmLinkPaster$NoWarnOpenLocationAction.uploadAddressHistory=[https://www.openstreetmap.org/#map=23/47.98882574432272/7.829098540568695]
org.openstreetmap.josm.gui.dialogs.DeleteFromRelationConfirmationDialog.geometry=x=760,y=420,width=525,height=201
org.openstreetmap.josm.gui.dialogs.InspectPrimitiveDialog.geometry=x=420,y=248,width=750,height=550
org.openstreetmap.josm.gui.dialogs.LatLonDialog.geometry=x=693,y=250,width=583,height=518
org.openstreetmap.josm.gui.dialogs.changeset.ChangesetCacheManager.geometry=x=0,y=0,width=1089,height=733
org.openstreetmap.josm.gui.dialogs.changeset.query.ChangesetQueryDialog.geometry=x=300,y=100,width=400,height=400
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog.geometry=x=856,y=343,width=322,height=424
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$EditTagDialog.geometry=x=806,y=426,width=748,height=196
org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor.geometry=x=766,y=147,width=700,height=665
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=462,y=160,width=1109,height=776
org.openstreetmap.josm.gui.download.DownloadObjectDialog.primitivesHistory=[r1956189, 107091962, 1083303271, n76556805, r5294624, w963238369, 13207704, 8396660, 7469739, 7367955, 6388102, 6116796, 2965883, 1911993, 20680]
org.openstreetmap.josm.gui.help.HelpBrowser.geometry=x=0,y=0,width=1920,height=1040
org.openstreetmap.josm.gui.history.HistoryBrowserDialogManager.geometry=x=0,y=272,width=1120,height=737
org.openstreetmap.josm.gui.io.CloseChangesetDialog.geometry=x=810,y=370,width=300,height=300
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=760,y=281,width=600,height=613
org.openstreetmap.josm.gui.io.UploadSelectionDialog.geometry=x=860,y=320,width=557,height=400
org.openstreetmap.josm.gui.oauth.OAuthAuthorizationWizard.geometry=x=735,y=250,width=600,height=540
org.openstreetmap.josm.gui.preferences.PreferenceDialog.geometry=x=371,y=76,width=1463,height=844
org.openstreetmap.josm.gui.preferences.advanced.ListEditor.geometry=x=710,y=345,width=500,height=350
org.openstreetmap.josm.gui.preferences.advanced.MapListEditor.geometry=x=760,y=345,width=955,height=479
org.openstreetmap.josm.gui.preferences.imagery.AddWMSLayerPanel.geometry=x=760,y=220,width=400,height=600
org.openstreetmap.josm.gui.preferences.imagery.AddWMTSLayerPanel.geometry=x=687,y=203,width=400,height=600
org.openstreetmap.josm.plugins.utilsplugin2.multitagger.MultiTagDialog.geometry=x=710,y=270,width=500,height=604
osm-browse.url=https://www.osm.org
osm-download.bounds=52.8964229;8.4364094;52.8972403;8.4385754
osm-primitives.show-full-tag=true
osm-primitives.showid.new-primitives=true
osm-server.upload-strategy=singlerequest
osm-server.url-history=[https://opengeofiction.net/api, https://api06.dev.openstreetmap.org/api, https://master.apis.dev.openstreetmap.org/api, https://api06.dev.openstreetmap.org/api2]
osm.notes.searchHistory=[22535.jpg]
overlapping-ways.only-known-linear=false
override.numbering.format=false
pdfimport.loadDir=C:\josm\plugins\pdfimport\test\data\regress\9053
plugin.continuos_download.active_default=false
pluginmanager.lastupdate=1634130911946
pluginmanager.version=18274
pluginmanager.version-based-update.policy=always
plugins=[apache-commons, buildings_tools, contourmerge, ejml, geotools, imagery-xml-bounds, jaxb, jts, measurement, o5m, opendata, pbf, poly, reltoolbox, reverter, undelete, utilsplugin2]
preferences.reset.draw.rawgps.lines=true
projection.sub.core:code=[EPSG:54008]
projection.sub.core:wgs84=[]
properties.recent-tags=[name, fleckerei, landuse, farmland, bicycle:oneway, no, oneway:bicycle, no, highway, crossing, railway, buffer_stop, highway, services, water, river, area, yes, highway, footway, bridge, yes, layer, 1, amenity, restaurant, railway, platform_edge, railway, platform, natural, wood, landuse, railway, barrier, fence, name, o1, name, o2, landuse, reservoir, landuse, construction, highway, residential, power, line, water, lake, natural, water, ref, 4, line, bay, barrier, hedge, power, tower]
propertiesdialog.geometry=x=523,y=425,width=873,height=558
propertiesdialog.lastHeight=168
proxy.policy=no-proxy
pt_assistant.wizard.0.information=This wizard can help you set up your JOSM environment to make it more suitable to work on route relations
pt_assistant.wizard.0.title=Public Transport Assistant Wizard
pt_assistant.wizard.0.type=information
pt_assistant.wizard.1.question=How many tags do you want to see?
pt_assistant.wizard.1.title=Set number of proposed tags
pt_assistant.wizard.1.type=edit_preference
pt_assistant.wizard.2.question=For which functionality would you like to add icons to the toolbar
pt_assistant.wizard.2.suggestion=[[Split Roundabout, icons/splitroundabout], [Sort stops in route relation, icons/sortptroutemembers]]
pt_assistant.wizard.2.title=Icons to add to toolbar
pt_assistant.wizard.2.type=toolbar_icons
pt_assistant.wizard.3.question=Would you like to add these map paint styles?
pt_assistant.wizard.3.suggestion=[[Public Transport, Default, https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1], [Numbered Cycle Nodes, Not Default, https://josm.openstreetmap.de/josmfile?page=Styles/NumberedCycleNodeNetworks&zip=1], [Numbered Hiking Nodes, Not Default, https://josm.openstreetmap.de/josmfile?page=Styles/NumberedWalkingNodeNetworks&zip=1]]
pt_assistant.wizard.3.title=Map Paint Styles
pt_assistant.wizard.3.type=map_paint_styles
pt_assistant.wizard.4.question=Would  you  like  to  add  some     convenient Overpass API queries for downloading specific OSM data?
pt_assistant.wizard.4.suggestion=[[Buses, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["highway"="bus_stop"];,     node["public_transport"="platform"]["train"!="yes"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["train"!="yes"]["ferry"!="yes"];,   );,   ._;<;,   way["highway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"~"bus|trolleybus|coach"];, );, (._;>;);, out meta;],
  [Trams, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["railway"="tram_stop"];,     node["public_transport"="platform"]["train"!="yes"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["train"!="yes"]["ferry"!="yes"];,   );,   ._;<;,   way["railway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"="tram"];, );, (._;>;);, out meta;],
  [Subway / Metro, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["railway"="subway"];,     node["public_transport"="platform"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["ferry"!="yes"];,   );,   ._;<;,   way["railway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"="subway"];, );, (._;>;);, out meta;],
  [Trains, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["railway"~"station|stop"];,     node["public_transport"="platform"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["ferry"!="yes"];,   );,   ._;<;,   way["railway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"="tram"];, );, (._;>;);, out meta;]
]
pt_assistant.wizard.4.title=Convenient Overpass API Queries
pt_assistant.wizard.4.type=overpass_queries
pt_assistant.wizard.pages=4
relationlist.lastHeight=168
reltoolbox.lastHeight=0
reltoolbox.multipolygon.allowsplit=true
reltoolbox.visible=false
remotecontrol.enabled=true
reverter.ChangesetIdQuery.changesetsHistory=[https://www.osm.org/changeset/102332419, 75353299, 101552970, 11425588, https://www.openstreetmap.org/changeset/79415758, https://www.openstreetmap.org/changeset/75353299, https://www.openstreetmap.org/changeset/50862535, https://www.openstreetmap.org/changeset/75205531, https://www.openstreetmap.org/changeset/98222113, 833386, 326046223, 90968582, 28756944, 88603618,  89526202]
search.history=[R id:107091962, R barrier  allindownloadedarea , R barrier, R ref=198036, R new, R power=*, R power=line, R waterway=weir, R weir, R bridge=yes  allindownloadedarea , R bridge  allindownloadedarea , R bridge, R highway layer, RR 1607, RR railway=turn.*]
selectionlist.geometry=x=743,y=425,width=434,height=189
selectionlist.lastHeight=168
shapePanelButton.png.geometry=x=916,y=78,width=982,height=389
shapePanelButton.png.lastHeight=0
shortcut.entry.toolbar:dialogs/download_in_view=[Toolbar: Download in current view, 65535, 5000, 39, 192, false, true]
sidetoolbar.hidden.dialogs/mapstyle=false
sidetoolbar.hidden.measurement=false
simplify-way.auto.max-error=500.0
simplify-way.max-error=6000.0
slippy_map_chooser.mapstyle=OpenCycleMap
sourcetag.value=MLIT, Japan
taggingpreset.dialog.search-in-tags=false
taggingpreset.entries=[{title=Internal Preset, url=resource://data/defaultpresets.xml}]
toggleDialogs.width=379
toolbar=[open,
  save,
  download,
  upload,
  |,
  undo,
  redo,
  |,
  dialogs/search(searchExpression=),
  preference,
  |,
  splitway,
  combineway,
  wayflip,
  |,
  imagery-offset,
  |,
  tagginggroup_Highways/Streets,
  tagginggroup_Highways/Ways,
  tagginggroup_Highways/Waypoints,
  tagginggroup_Highways/Barriers,
  |,
  tagginggroup_Transport/Car,
  tagginggroup_Transport/Public Transport,
  |,
  tagginggroup_Facilities/Tourism,
  tagginggroup_Facilities/Food+Drinks,
  |,
  tagginggroup_Man Made/Historic Places,
  |,
  tagginggroup_Man Made/Man Made,
  dialogs/download_in_view
]
undelete.newlayer=true
undelete.osmid=w724657392
upload.comment.history=[Map building to test josm error ,
  Details an Baustelle,
  adjust position,
  ,
  Update von Details nach Übernachtung,
  Update von Details nach Reparatur,
  Brücke ist nur B 72,
  Kreisel hat keine Vorfahrt vor Straßenbahn,
  Flächen an Graben getrennt, landuse und ein paar Gebäude aktualisiert,
  replace two invalid multipolygon relations with touching/intersecting outers by the merged area,
  Zusatzschild maxweight,
  Details nach Radtour,
  Name "Wald Große Höhe" entfernt, siehe Forumsdiskussion https://forum.openstreetmap.org/viewtopic.php?id=72332,
  Name "Wald Grosse,
  Strassendetails nach Radtour: Gräben, Baumreihen, Oberflächen
]
upload.comment.last-used=1633590563
upload.source.history=[Bing, , knowledge, Siehe cs-Diskussion 84831650, Bing; survey, diskussion, Bing; partly survey, b, wiki, Bing; survey, Nachfrage bei Ortsansässigem, Bing,wiki, Bing, partly survey, survey, Bing; Geotagged Images, Bing, Diskussion im Forum]
userlist.lastHeight=0
utilsplugin2.customurl=https://www.openstreetmap.org/{#type}/{#id}/history
utilsplugin2.replace-geometry.robustAssignment=false
utilsplugin2.urlHistory=[Wikipedia,
  https://en.wikipedia.org/w/index.php?search={name}&fulltext=Search,
  Wikipedia RU,
  http://osm.mapki.com/history/{#type}.php?id={#id},
  Who Dit It?,
  http://simon04.dev.openstreetmap.org/whodidit/?zoom=12&lat={#lat}&lon={#lon}&layers=BTT,
  Keep Right validator,
  http://keepright.ipax.at/report_map.php?zoom=14&lat={#lat}&lon={#lon}&layers=B0T,
  Element history [demo, =Ctrl-Shift-H],
  https://www.openstreetmap.org/{#type}/{#id}/history,
  Browse element [demo, =Ctrl-Shift-I],
  https://www.openstreetmap.org/{#type}/{#id}
]
validator.UnconnectedWays.node_way_distance_railway=1
validator.UnconnectedWays.way_way_distance=1.0
validator.autozoom=true
validator.duplicatenodes.precision=1e-07
validator.geometry=x=729,y=288,width=462,height=629
validator.ignorelist=[{1201_Key 'lane_markings' not in presets.=Presets do not contain property key, 1201_Key 'maxspeed:source' not in presets.=Presets do not contain property key, 1202_Value 'digester' for key 'building' not in presets.=Presets do not contain property value, 1311:n_2137569025:w_725253724=Way node near other way, 1311:n_2560481345:w_249451418=Way end node near other highway, 1311:n_2560481357:w_528358093=Way end node near other highway, 1311:n_5134798219:w_249451426=Way end node near other highway, 1311:n_82666638:w_725253724=Way node near other way, 1331:n_8331100953:w_896249955=Way end node near other way, 1701=Role verification problem, 1709=Role verification problem, 3000_Overlapping Areas:r_12200773:w_488331531=Overlapping Areas, 3000_Overlapping Areas:r_3951189:w_484095609=Overlapping Areas, 3000_Overlapping Areas:w_106637002:w_299600772=Overlapping Areas, 3000_Overlapping Areas:w_128521731:w_484095609=Overlapping Areas, 3000_Overlapping Areas:w_129315702:w_918859976=Overlapping Areas, 3000_Overlapping Areas:w_174046756:w_311334659=Overlapping Areas, 3000_Overlapping Areas:w_174271332:w_174271333=Overlapping Areas, 3000_Overlapping Areas:w_297055996:w_484095609=Overlapping Areas, 3000_Overlapping Areas:w_299600772:w_902977836=Overlapping Areas, 3000_Overlapping Areas:w_306085114:w_918859976=Overlapping Areas, 3000_Overlapping Areas:w_484095609:w_886634268=Overlapping Areas, 3000_Unnamed unclassified highway=Unnamed unclassified highway}
]
validator.ignorelist.version=2
validator.lastHeight=169
validator.org.openstreetmap.josm.data.validation.tests.MapCSSTagChecker.entries=[{active=true, title=Addresses, url=resource://data/validator/addresses.mapcss},
  {active=true, title=Tag combinations, url=resource://data/validator/combinations.mapcss},
  {active=true, title=Deprecated features, url=resource://data/validator/deprecated.mapcss},
  {active=true, title=Geometry, url=resource://data/validator/geometry.mapcss},
  {active=true, title=Highways, url=resource://data/validator/highway.mapcss},
  {active=true, title=Multiple values, url=resource://data/validator/multiple.mapcss},
  {active=true, title=Numeric values, url=resource://data/validator/numeric.mapcss},
  {active=true, title=Religion, url=resource://data/validator/religion.mapcss},
  {active=true, title=Relations, url=resource://data/validator/relation.mapcss},
  {active=true, title=Territories, url=resource://data/validator/territories.mapcss},
  {active=true, title=Unnecessary tags, url=c:\josm\core\resources\data\validator\unnecessary.mapcss},
  {active=true, title=Wikipedia, url=resource://data/validator/wikipedia.mapcss}
]
validator.skip=[]
validator.skipBeforeUpload=[]
validator.visible=true
wikidata.lastHeight=0
wikipedia.lastHeight=145

comment:15 Changed 3 months ago by marcello@…

One problem is the TagTable (again). If you don't hit enter after editing, and click on the combobox button instead, the popup list appears before the TagTable loses focus and so before the last edit was written to the model. The list is then filtered according to the tags before the edit. This matters only if you were editing the type or a subtype tag, so it seems minor.

comment:16 Changed 3 months ago by GerdP

During my tests I didn't edit anything. I just downloaded a multipolygon relation and opened it in the relation editor and played with the new list button.

Changed 3 months ago by marcello@…

Attachment: 21227-3.patch added

[PATCH] in relation editor filter autocompletion roles according to relation and member type

Changed 3 months ago by marcello@…

Screenshot

Changed 3 months ago by marcello@…

Screenshot

comment:17 Changed 3 months ago by marcello@…

New patch using combobox as table editor and with filter checkbox to revert to old (unfiltered) behaviour.

Screenshot Screenshot

comment:18 Changed 3 months ago by skyper

Nice. Is it possible to provide a compiled jar for testing?

Do you have in mind that there is another dialog, hiding in Tags/Memberships Panel, which could benefit from this: Role Input dialog

comment:19 Changed 3 months ago by marcello@…

The whole Tags/Memberships panel could benefit from table editors, to let you edit a value without having to always open another dialog. But a combobox is taller than what we have now and so less rows would be shown. Don't know how people think about that.

I will attach my josm-custom.jar for testing.

comment:20 in reply to:  19 Changed 3 months ago by skyper

Replying to marcello@…:

The whole Tags/Memberships panel could benefit from table editors, to let you edit a value without having to always open another dialog.

+1 for text fields.

But a combobox is taller than what we have now and so less rows would be shown. Don't know how people think about that.>

Actually, I already do not like it in the relation manager. Icons are way too big and I need more rows if working on relations with 100 to 2000 members. Some even have up to 5000.

Filtering looks pretty amazing but I do not need the drop down in every row. The one at the bottom complete satisfies my needs.

I will attach my josm-custom.jar for testing.

Thanks a lot for the file and this improvements.

comment:21 in reply to:  19 Changed 3 months ago by gaben

Replying to marcello@…:

But a combobox is taller than what we have now and so less rows would be shown. Don't know how people think about that.

I noticed that from screenshots, and I think it's not wanted. When relations have hundreds of members, the more it can show is the better.

comment:22 Changed 3 months ago by Don-vip

Why are they so big? Can't we force them to match the size of table rows?

comment:23 Changed 3 months ago by marcello@…

I've been able to make the comboboxes smaller and I've added them to the Tags table too. I'm still working on better suggestions for tags and values.

comment:24 Changed 3 months ago by Don-vip

Thank you. I received a new defect from coverity scan this morning, is it addressed in your patch?

*** CID 1464765:  Null pointer dereferences  (NULL_RETURNS)
/src/org/openstreetmap/josm/gui/widgets/JosmComboBox.java: 392 in org.openstreetmap.josm.gui.widgets.JosmComboBox.popupMenuWillBecomeVisible(javax.swing.event.PopupMenuEvent)()
386             try {
387                 // First try an implementation-dependent method to get the exact number.
388                 @SuppressWarnings("unchecked")
389                 JList<E> jList = getList();
390     
391                 // Calculate the free space available on screen
>>>     CID 1464765:  Null pointer dereferences  (NULL_RETURNS)
>>>     Calling a method on null object "jList".
392                 Insets insets = jList.getInsets();
393                 // A small fudge factor that accounts for the displacement of the popup relative to the
394                 // combobox and the popup shadow.
395                 int fudge = 4;
396                 int free = Math.max(freeAbove, freeBelow) - (insets.top + insets.bottom) - fudge;
397                 if (jList.getParent() instanceof JScrollPane) {

Changed 3 months ago by skyper

gpx file causing exception

comment:25 Changed 3 months ago by skyper

Much better now, thanks. Now I can start to use and test it intensively.
Found one minor issue as Enter and Return do not end the input and jump to next row.

Additionally, I got an exception opening this gpx file which I do not get with latest (r18287) and the identical setup used. I have disabled the audio menu in preferences:

Revision:18287
Is-Local-Build:true
Build-Date:2021-10-20 11:06:40

Identification: JOSM/1.5 (18287 SVN en) Linux Debian GNU/Linux 11 (bullseye)
Java version: 17-ea+19-Debian-1, Debian, OpenJDK 64-Bit Server VM
Look and Feel: com.formdev.flatlaf.FlatDarculaLaf
Environment variable LANG: en_US.utf8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_US
Numbers with default locale: 1234567890 -> 1234567890
Desktop environment: GNOME
libcommons-compress-java: libcommons-compress-java:all-1.20-1
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:all-20201225-1
VM arguments: [-Djosm.dir.name=JOSM-latest]
Dataset consistency test: No problems found

Plugins:
+ ImproveWay (32)
+ apache-commons (35524)
+ conflation (0.6.8)
+ editgpx (35562)
+ ejml (35458)
+ flatlaf (35799)
+ geotools (35458)
+ imagery_offset_db (35640)
+ jaxb (35543)
+ jts (35458)
+ opendata (35803)
+ photoadjust (35770)
+ pt_assistant (1ff2e15)
+ reverter (35732)
+ terracer (35827)
+ undelete (35640)
+ utilsplugin2 (35792)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/IsSidepath&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/MastAndTower&zip=1
+ ${HOME}/JOSM/presets/Presets_FIXME-preset.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/AdvertisingPreset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/OpenPisteMap&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/public_bookcase&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/PublicTransportGtfs&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StreetCabinet&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/SkiingTrail&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Simple_Indoor_Tagging&zip=1
+ https://github.com/kendzi/Simple3dBuildingsPreset/releases/download/0.9_2018-05-08/s3db-preset.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/caravan_site&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Animal_facilities&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/COVID-19&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Drinks&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Healthcare&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
+ ${HOME}/JOSM/presets/Presets_LaneAttributes-preset.xml

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/FixmeAndNote&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Whitewater&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/SidewalksPlus&zip=1

Validator rules:
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Rules/PublicTransportGtfs&zip=1
+ https://github.com/Jungle-Bus/transport_mapcss/raw/gh-pages/transport.validator.zip
- ${HOME}/JOSM/new/resources/data/validator/highway_17388_area_highway_18217.mapcss
- ${HOME}/JOSM/new/resources/data/validator/combinations_17790_solo_layer.mapcss
- ${HOME}/JOSM/validator/pistes.validator.mapcss
+ ${HOME}/JOSM/validator/New_Testing.validator.mapcss
- ${HOME}/JOSM/validator/Rules_PublicTransportGtfs.validator.mapcss

Last errors/warnings:
- 00130.944 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00130.945 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00131.158 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00131.159 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00285.541 E: Handled by bug report queue: java.lang.NoSuchFieldError: data
- 00285.595 W: Cannot paint layer, it is not registered: MarkerLayer [name=Markers from DE-BW-RAB_Route_680-A_10.T0.0-680-A-21a-11.1.H.gpx, associatedFile=${HOME}/Downloads/DE-BW-RAB_Route_680-A_10.T0.0-680-A-21a-11.1.H.gpx]
- 00286.635 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00286.638 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00332.358 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.
- 00332.361 W: The JVM is not configured to lookup proxies from the system settings. The property 'java.net.useSystemProxies' was missing at startup time.  Will not use a proxy.



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (21) of main
java.lang.NoSuchFieldError: data
	at org.openstreetmap.josm.actions.audio.AbstractAudioAction.lambda$isAudioMarkerPresent$0(AbstractAudioAction.java:36)
	at java.base/java.util.stream.ReferencePipeline$7$1.accept(ReferencePipeline.java:273)
	at java.base/java.util.ArrayList$ArrayListSpliterator.tryAdvance(ArrayList.java:1602)
	at java.base/java.util.stream.ReferencePipeline.forEachWithCancel(ReferencePipeline.java:129)
	at java.base/java.util.stream.AbstractPipeline.copyIntoWithCancel(AbstractPipeline.java:502)
	at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:488)
	at java.base/java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:474)
	at java.base/java.util.stream.MatchOps$MatchOp.evaluateSequential(MatchOps.java:230)
	at java.base/java.util.stream.MatchOps$MatchOp.evaluateSequential(MatchOps.java:196)
	at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234)
	at java.base/java.util.stream.ReferencePipeline.anyMatch(ReferencePipeline.java:632)
	at org.openstreetmap.josm.actions.audio.AbstractAudioAction.isAudioMarkerPresent(AbstractAudioAction.java:37)
	at org.openstreetmap.josm.actions.audio.AbstractAudioAction.updateEnabledState(AbstractAudioAction.java:47)
	at org.openstreetmap.josm.actions.JosmAction$LayerChangeAdapter.layerAdded(JosmAction.java:447)
	at org.openstreetmap.josm.gui.layer.LayerManager.fireLayerAdded(LayerManager.java:459)
	at org.openstreetmap.josm.gui.layer.LayerManager.realAddLayer(LayerManager.java:234)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realAddLayer(MainLayerManager.java:284)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$addLayer$0(LayerManager.java:218)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:246)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:218)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:207)
	at org.openstreetmap.josm.gui.io.importexport.GpxImporter.lambda$addLayers$0(GpxImporter.java:143)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:318)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:391)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:117)
	at java.desktop/java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:190)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:235)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:233)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:312)
	at java.desktop/java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:233)
	at java.desktop/java.awt.Dialog.show(Dialog.java:1079)
	at java.desktop/java.awt.Component.show(Component.java:1722)
	at java.desktop/java.awt.Component.setVisible(Component.java:1669)
	at java.desktop/java.awt.Window.setVisible(Window.java:1034)
	at java.desktop/java.awt.Dialog.setVisible(Dialog.java:1016)
	at org.openstreetmap.josm.gui.progress.swing.PleaseWaitProgressMonitor.lambda$doBeginTask$3(PleaseWaitProgressMonitor.java:255)
	at org.openstreetmap.josm.gui.progress.swing.PleaseWaitProgressMonitor.lambda$doInEDT$0(PleaseWaitProgressMonitor.java:113)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:318)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:391)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

=== RUNNING THREADS ===
Thread: image-fetcher-0 (38) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17-ea/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3455)
java.base@17-ea/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3426)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17-ea/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1061)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1121)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: Finalizer (3) of system
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.base@17-ea/java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:171)

Thread: FileSystemWatchService (24) of main
java.base@17-ea/sun.nio.fs.LinuxWatchService.poll(Native Method)
java.base@17-ea/sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: Common-Cleaner (12) of InnocuousThreadGroup
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17-ea/jdk.internal.ref.CleanerImpl.run(CleanerImpl.java:140)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)
java.base@17-ea/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:161)

Thread: Timer-2 (59) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.Object.wait(Object.java:338)
java.base@17-ea/java.util.TimerThread.mainLoop(Timer.java:537)
java.base@17-ea/java.util.TimerThread.run(Timer.java:516)

Thread: message-notifier-0 (49) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:252)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:1672)
java.base@17-ea/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@17-ea/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1061)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1121)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: Map Status Collector (60) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17-ea/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3455)
java.base@17-ea/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3426)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17-ea/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:438)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: RemoteControl HTTP Server (48) of main
java.base@17-ea/sun.nio.ch.Net.accept(Native Method)
java.base@17-ea/sun.nio.ch.NioSocketImpl.accept(NioSocketImpl.java:755)
java.base@17-ea/java.net.ServerSocket.implAccept(ServerSocket.java:672)
java.base@17-ea/java.net.ServerSocket.platformImplAccept(ServerSocket.java:638)
java.base@17-ea/java.net.ServerSocket.implAccept(ServerSocket.java:614)
java.base@17-ea/java.net.ServerSocket.implAccept(ServerSocket.java:571)
java.base@17-ea/java.net.ServerSocket.accept(ServerSocket.java:529)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: styled-map-renderer-2 (66) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1716)
java.base@17-ea/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1615)
java.base@17-ea/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: AWT-XAWT (18) of system
java.desktop@17-ea/sun.awt.X11.XToolkit.waitForEvents(Native Method)
java.desktop@17-ea/sun.awt.X11.XToolkit.run(XToolkit.java:679)
java.desktop@17-ea/sun.awt.X11.XToolkit.run(XToolkit.java:643)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: Reference Handler (2) of system
java.base@17-ea/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@17-ea/java.lang.ref.Reference.processPendingReferences(Reference.java:253)
java.base@17-ea/java.lang.ref.Reference$ReferenceHandler.run(Reference.java:215)

Thread: ForkJoinPool.commonPool-worker-4 (75) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17-ea/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1718)
java.base@17-ea/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1615)
java.base@17-ea/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: File Watcher (25) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17-ea/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3455)
java.base@17-ea/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3426)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17-ea/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
java.base@17-ea/java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:673)
java.base@17-ea/sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$338/0x00000008012f70c0.run(Unknown Source)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: main-worker-0 (20) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.Object.wait(Object.java:338)
java.desktop@17-ea/java.awt.EventQueue.invokeAndWait(EventQueue.java:1362)
java.desktop@17-ea/java.awt.EventQueue.invokeAndWait(EventQueue.java:1343)
app//org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:99)
app//org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
java.base@17-ea/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)
java.base@17-ea/java.util.concurrent.FutureTask.run(FutureTask.java:264)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1135)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: DestroyJavaVM (51) of main

Thread: Java2D Disposer (17) of system
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.desktop@17-ea/sun.java2d.Disposer.run(Disposer.java:144)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: ForkJoinPool.commonPool-worker-5 (76) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17-ea/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1718)
java.base@17-ea/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1615)
java.base@17-ea/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Weak reference cleaner (26) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$385/0x000000080133a970.run(Unknown Source)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: JCS-ElementEventQueue-Thread-1 (40) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17-ea/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3455)
java.base@17-ea/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3426)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17-ea/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1061)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1121)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: Notification Thread (11) of system

Thread: changeset-updater-0 (50) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:252)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:1672)
java.base@17-ea/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@17-ea/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1061)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1121)
java.base@17-ea/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: Timer-1 (56) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.util.TimerThread.mainLoop(Timer.java:563)
java.base@17-ea/java.util.TimerThread.run(Timer.java:516)

Thread: RemoteControl HTTP Server (47) of main
java.base@17-ea/sun.nio.ch.Net.accept(Native Method)
java.base@17-ea/sun.nio.ch.NioSocketImpl.accept(NioSocketImpl.java:755)
java.base@17-ea/java.net.ServerSocket.implAccept(ServerSocket.java:672)
java.base@17-ea/java.net.ServerSocket.platformImplAccept(ServerSocket.java:638)
java.base@17-ea/java.net.ServerSocket.implAccept(ServerSocket.java:614)
java.base@17-ea/java.net.ServerSocket.implAccept(ServerSocket.java:571)
java.base@17-ea/java.net.ServerSocket.accept(ServerSocket.java:529)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: styled-map-renderer-3 (67) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17-ea/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1718)
java.base@17-ea/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1615)
java.base@17-ea/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: ForkJoinPool.commonPool-worker-1 (31) of main
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1716)
java.base@17-ea/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1615)
java.base@17-ea/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: AWT-EventQueue-0 (21) of main
Stacktrace see above.

Thread: Timer-0 (43) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.util.TimerThread.mainLoop(Timer.java:563)
java.base@17-ea/java.util.TimerThread.run(Timer.java:516)

Thread: TimerQueue (23) of system
java.base@17-ea/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17-ea/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17-ea/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3455)
java.base@17-ea/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3426)
java.base@17-ea/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17-ea/java.util.concurrent.DelayQueue.take(DelayQueue.java:217)
java.desktop@17-ea/javax.swing.TimerQueue.run(TimerQueue.java:171)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: WeakCollectionCleaner (42) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17-ea/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
org.geotools.util.WeakCollectionCleaner.run(WeakCollectionCleaner.java:65)

Thread: AWT-Shutdown (22) of system
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.lang.Object.wait(Object.java:338)
java.desktop@17-ea/sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:291)
java.base@17-ea/java.lang.Thread.run(Thread.java:831)

Thread: GT authority factory disposer (41) of main
java.base@17-ea/java.lang.Object.wait(Native Method)
java.base@17-ea/java.util.TimerThread.mainLoop(Timer.java:563)
java.base@17-ea/java.util.TimerThread.run(Timer.java:516)

Thread: Signal Dispatcher (4) of system

comment:26 Changed 3 months ago by skyper

I tried with empty preferences and openjdk-11-jre but I always face this exception and the gpx is not loaded. Enabling audio menu does not make any difference either.

comment:27 Changed 3 months ago by GerdP

Why do you think this is related to the autocomplete stuff? What about r18287?

Changed 3 months ago by marcello@…

Attachment: josm-custom.jar added

Custom build for testing

comment:28 Changed 3 months ago by marcello@…

Try this new build. I forgot to ant clean.

Changed 3 months ago by marcello@…

Attachment: 21227-4.patch added

[PATCH] better autocompletion suggestions for all tables in relation editor

comment:29 Changed 3 months ago by marcello@…

If anybody can provide better icons for "in dataset" and "in standard" please do.

comment:30 in reply to:  28 Changed 3 months ago by skyper

Replying to marcello@…:

Try this new build. I forgot to ant clean.

Ok, no more exception. Thanks

The issue with Enter no jumping to the next row persist.
Regarding icons, at least, the icon for "in dataset" should be the one we use for data layers in the Layer panel and not a closed way.

Last edited 3 months ago by skyper (previous) (diff)

comment:31 Changed 3 months ago by skyper

If I select one or some rows in upper part (tag list) and click on the delete button, only the text input indication vanishes but I have to click for a second time on the button to delete the rows (tags). Using the shortcut Alt+Del instead of the button this works right away.

comment:32 Changed 3 months ago by Don-vip

Milestone: 21.1021.11

comment:33 Changed 5 weeks ago by Don-vip

Milestone: 21.1121.12

Milestone renamed

comment:34 Changed 5 weeks ago by Don-vip

Milestone: 21.1222.01

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to josm@uncleowen.de
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.